/*
 * @Description:
 * @Version: 2.0
 * @Autor: shimnx
 * @Date: 2022-05-18 18:17:27
 * @LastEditors: shimnx
 * @LastEditTime: 2022-12-02 16:41:01
 */
/**
 * Status Column implementation file
 */

// Bryntum umd lite bundle comes without polyfills to support Angular's zone.js
import { Column, ColumnStore } from '@bryntum/gantt/gantt.lite.umd.js';
import { DateHelper, Gantt, Menu, Popup, Toast, Toolbar } from '@bryntum/gantt/gantt.lite.umd.js';
/**
 * @module StatusColumn
 */

/**
 * A column showing the status of a task
 *
 * @extends Gantt/column/Column
 * @classType statuscolumn
 */
export default class FinishColumn extends Column {

    static get $name() {
        return 'FinishColumn';
    }

    static get type() {
        return 'finishcolumn';
    }

    static get isGanttColumn() {
        return true;
    }

    static get defaults() {
        return {
            // Set your default instance config properties here
            field      : 'finishDate',
            text       : 'End Date',
            editor     : {
                type : 'date',

            },
            cellCls    : 'b-status-column-cell',
            htmlEncode : false,

        };
    }

    //endregion

    renderer({ record }) {
        const finish = DateHelper.format(record.finishDate, 'MMM DD, YYYY');
        console.log(record.finishDate)

        return finish ? {
            tag       : 'i',
            className : `${finish}`,
            html      : finish
        } : '';
    }

}

ColumnStore.registerColumnType(FinishColumn);
