/*
 * @Description:
 * @Version: 2.0
 * @Autor: shimnx
 * @Date: 2022-05-18 18:17:27
 * @LastEditors: shimnx
 * @LastEditTime: 2022-11-15 16:46:54
 */
/**
 * Status Column implementation file
 */

// Bryntum umd lite bundle comes without polyfills to support Angular's zone.js
import { Column, ColumnStore } from '@bryntum/gantt/gantt.lite.umd.js';

/**
 * @module StatusColumn
 */

/**
 * A column showing the status of a task
 *
 * @extends Gantt/column/Column
 * @classType statuscolumn
 */
export default class StatusColumn extends Column {

    static get $name() {
        return 'StatusColumn';
    }

    static get type() {
        return 'statuscolumn';
    }

    static get isGanttColumn() {
        return true;
    }

    static get defaults() {
        return {
            // Set your default instance config properties here
            field      : 'status',
            text       : 'Status',
            editor     : {
                type : 'dropdown',
                items : ['1', '2', '3', '4']
            },
            cellCls    : 'b-status-column-cell',
            htmlEncode : false,
            // filterable : {
            //     filterField : {
            //         type  : 'combo',
            //         items : ['Not Started', 'Started', 'Completed', 'Late']
            //     }
            // }
        };
    }

    //endregion

    renderer({ record }) {
        console.log(record)
        const status = record.status;

        return status ? {
            tag       : 'i',
            className : `b-fa b-fa-circle ${status}`,
            html      : status
        } : '';
    }

}

ColumnStore.registerColumnType(StatusColumn);
