/*
 * @Description:
 * @Version: 2.0
 * @Autor: shimnx
 * @Date: 2022-05-26 13:10:36
 * @LastEditors: shimnx
 * @LastEditTime: 2022-12-05 16:20:25
 */
import { AfterViewInit, Component, OnInit, ViewChild } from '@angular/core';
import { BryntumGanttComponent, BryntumProjectModelComponent } from '@bryntum/gantt-angular';
import MyGantt from '../lib/MyGantt.js';
import { CalendarModel, Gantt, ProjectModel } from '@bryntum/gantt/gantt.lite.umd.js';
import ganttConfig from './gantt.config';
@Component({
    selector: 'app-gantt',
    templateUrl: './gantt.component.html'
})


export class GanttComponent implements AfterViewInit, OnInit {
    private gantt!: MyGantt;
    private project!: ProjectModel;
    isShowCommentsOut = false
    ganttConfig = ganttConfig;
    @ViewChild(BryntumGanttComponent, { static: false }) ganttComponent: BryntumGanttComponent;
    @ViewChild('project') projectComponent!: BryntumProjectModelComponent;
    constructor() {
        window['GanttComponent'] = { component: this };
    }
    ngAfterViewInit(): void {
        // Store Gantt and project instances
        this.gantt = this.ganttComponent.instance;
        this.gantt.project.loadInlineData(
            {
                "eventsData": [
                  {
                    "id": "3a07f380-5195-f72e-93a6-8d2f7f1af663",
                    "parentId": null,
                    "name": "Level one",
                    "percentDone": 0.0,
                    "startDate": "2022-11-30",
                    "rollUp": null,
                    "duration": 23,
                    "endDate": "2022-12-31",
                    "showInTimeline": null,
                    "baseLines": [],
                    "children": [
                      {
                        "id": "a7d65a3c-656f-46de-a920-53940e01ce5c",
                        "parentId": "3a07f380-5195-f72e-93a6-8d2f7f1af663",
                        "name": "Level two",
                        "percentDone": 0.0,
                        "startDate": "2022-11-30",
                        "rollUp": null,
                        "duration": 23,
                        "endDate": "2022-12-31",
                        "showInTimeline": null,
                        "baseLines": [],
                        "children": [
                          {
                            "id": "1e118c16-505c-4273-afc0-499aeec78d52",
                            "parentId": "a7d65a3c-656f-46de-a920-53940e01ce5c",
                            "name": "Level three",
                            "percentDone": 0.0,
                            "startDate": "2022-11-30",
                            "rollUp": null,
                            "duration": 23,
                            "endDate": "2022-12-31",
                            "showInTimeline": null,
                            "baseLines": [],
                            "children": null,
                            "PhantomId": null,
                            "expanded": null,
                            "note": null,
                            "draggable": true,
                            "resizable": true,
                            "constraintDate": null,
                            "constraintType": null,
                            "durationUnit": "day",
                            "deadLineDate": null,
                            "effort": 0.0,
                            "effortDriven": false,
                            "effortUnit": "hour",
                            "inactive": null,
                            "manuallyScheduled": true,
                            "schedulingMode": "Normal",
                            "slackUnit": "hour",
                            "cls": "",
                            "iconCls": null,
                            "style": null,
                            "taskIconCls": null,
                            "parentIndex": 0,
                            "status": "To Do",
                            "remark": null,
                            "IsAllowDelete": true,
                            "BookedHours": 0.0,
                            "Priority": 50,
                            "PriorityName": "Medium",
                            "GroupId": "3a07d441-9080-9eea-db2b-d66858a34a0b",
                            "GroupName": "Others",
                            "InvolveWorkLogs": []
                          }
                        ],
                        "PhantomId": null,
                        "expanded": null,
                        "note": null,
                        "draggable": true,
                        "resizable": true,
                        "constraintDate": null,
                        "constraintType": null,
                        "durationUnit": "day",
                        "deadLineDate": null,
                        "effort": 0.0,
                        "effortDriven": false,
                        "effortUnit": "hour",
                        "inactive": false,
                        "manuallyScheduled": true,
                        "schedulingMode": "Normal",
                        "slackUnit": "hour",
                        "cls": "",
                        "iconCls": null,
                        "style": null,
                        "taskIconCls": null,
                        "parentIndex": 0,
                        "status": "To Do",
                        "remark": null,
                        "IsAllowDelete": true,
                        "BookedHours": 0.0,
                        "Priority": 50,
                        "PriorityName": "Medium",
                        "GroupId": "3a07d441-9080-9eea-db2b-d66858a34a0b",
                        "GroupName": "Others",
                        "InvolveWorkLogs": []
                      }
                    ],
                    "PhantomId": null,
                    "expanded": null,
                    "note": null,
                    "draggable": true,
                    "resizable": true,
                    "constraintDate": null,
                    "constraintType": null,
                    "durationUnit": "day",
                    "deadLineDate": null,
                    "effort": 0.0,
                    "effortDriven": false,
                    "effortUnit": "hour",
                    "inactive": false,
                    "manuallyScheduled": false,
                    "schedulingMode": "Normal",
                    "slackUnit": "hour",
                    "cls": "",
                    "iconCls": null,
                    "style": null,
                    "taskIconCls": null,
                    "parentIndex": 0,
                    "status": "To Do",
                    "remark": "删除项目成员28034779后拆分出来的新甘特任务",
                    "IsAllowDelete": true,
                    "BookedHours": 0.0,
                    "Priority": 50,
                    "PriorityName": "Medium",
                    "GroupId": "3a07d441-9080-9eea-db2b-d66858a34a0b",
                    "GroupName": "Others",
                    "InvolveWorkLogs": []
                  }
                ],
                "dependenciesData": [],
                "resourcesData": [
                  {
                    "id": "28034779",
                    "name": "Shi, Minxuan",
                    "image": "https://qakimigatewaybe.schaefflercn.com/WorkImg/28034779.jpg",
                    "orgCode": "OP/TCG-ZSID"
                  }
                ],
                "assignmentsData": [],
                "calendarsData": [
                  {
                    "id": "general",
                    "name": "General",
                    "intervals": [
                      {
                        "startDate": "2022-01-01",
                        "endDate": "2022-01-02",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-01-02",
                        "endDate": "2022-01-03",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-01-03",
                        "endDate": "2022-01-04",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-01-08",
                        "endDate": "2022-01-09",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-01-09",
                        "endDate": "2022-01-10",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-01-15",
                        "endDate": "2022-01-16",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-01-16",
                        "endDate": "2022-01-17",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-01-22",
                        "endDate": "2022-01-23",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-01-23",
                        "endDate": "2022-01-24",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-01-31",
                        "endDate": "2022-02-01",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-02-01",
                        "endDate": "2022-02-02",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-02-02",
                        "endDate": "2022-02-03",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-02-03",
                        "endDate": "2022-02-04",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-02-04",
                        "endDate": "2022-02-05",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-02-05",
                        "endDate": "2022-02-06",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-02-06",
                        "endDate": "2022-02-07",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-02-12",
                        "endDate": "2022-02-13",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-02-13",
                        "endDate": "2022-02-14",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-02-19",
                        "endDate": "2022-02-20",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-02-20",
                        "endDate": "2022-02-21",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-02-26",
                        "endDate": "2022-02-27",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-02-27",
                        "endDate": "2022-02-28",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-03-05",
                        "endDate": "2022-03-06",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-03-06",
                        "endDate": "2022-03-07",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-03-12",
                        "endDate": "2022-03-13",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-03-13",
                        "endDate": "2022-03-14",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-03-19",
                        "endDate": "2022-03-20",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-03-20",
                        "endDate": "2022-03-21",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-03-26",
                        "endDate": "2022-03-27",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-03-27",
                        "endDate": "2022-03-28",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-04-03",
                        "endDate": "2022-04-04",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-04-04",
                        "endDate": "2022-04-05",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-04-05",
                        "endDate": "2022-04-06",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-04-09",
                        "endDate": "2022-04-10",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-04-10",
                        "endDate": "2022-04-11",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-04-16",
                        "endDate": "2022-04-17",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-04-17",
                        "endDate": "2022-04-18",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-04-23",
                        "endDate": "2022-04-24",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-04-30",
                        "endDate": "2022-05-01",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-05-01",
                        "endDate": "2022-05-02",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-05-02",
                        "endDate": "2022-05-03",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-05-03",
                        "endDate": "2022-05-04",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-05-04",
                        "endDate": "2022-05-05",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-05-08",
                        "endDate": "2022-05-09",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-05-14",
                        "endDate": "2022-05-15",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-05-15",
                        "endDate": "2022-05-16",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-05-21",
                        "endDate": "2022-05-22",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-05-22",
                        "endDate": "2022-05-23",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-05-28",
                        "endDate": "2022-05-29",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-05-29",
                        "endDate": "2022-05-30",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-06-03",
                        "endDate": "2022-06-04",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-06-04",
                        "endDate": "2022-06-05",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-06-05",
                        "endDate": "2022-06-06",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-06-11",
                        "endDate": "2022-06-12",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-06-12",
                        "endDate": "2022-06-13",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-06-18",
                        "endDate": "2022-06-19",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-06-19",
                        "endDate": "2022-06-20",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-06-25",
                        "endDate": "2022-06-26",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-06-26",
                        "endDate": "2022-06-27",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-07-02",
                        "endDate": "2022-07-03",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-07-03",
                        "endDate": "2022-07-04",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-07-09",
                        "endDate": "2022-07-10",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-07-10",
                        "endDate": "2022-07-11",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-07-16",
                        "endDate": "2022-07-17",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-07-17",
                        "endDate": "2022-07-18",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-07-23",
                        "endDate": "2022-07-24",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-07-24",
                        "endDate": "2022-07-25",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-07-30",
                        "endDate": "2022-07-31",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-07-31",
                        "endDate": "2022-08-01",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-08-06",
                        "endDate": "2022-08-07",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-08-07",
                        "endDate": "2022-08-08",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-08-13",
                        "endDate": "2022-08-14",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-08-14",
                        "endDate": "2022-08-15",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-08-20",
                        "endDate": "2022-08-21",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-08-21",
                        "endDate": "2022-08-22",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-08-27",
                        "endDate": "2022-08-28",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-08-28",
                        "endDate": "2022-08-29",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-09-03",
                        "endDate": "2022-09-04",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-09-04",
                        "endDate": "2022-09-05",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-09-09",
                        "endDate": "2022-09-10",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-09-10",
                        "endDate": "2022-09-11",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-09-11",
                        "endDate": "2022-09-12",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-09-14",
                        "endDate": "2022-09-15",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-09-17",
                        "endDate": "2022-09-18",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-09-18",
                        "endDate": "2022-09-19",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-09-24",
                        "endDate": "2022-09-25",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-09-25",
                        "endDate": "2022-09-26",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-10-01",
                        "endDate": "2022-10-02",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-10-02",
                        "endDate": "2022-10-03",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-10-03",
                        "endDate": "2022-10-04",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-10-04",
                        "endDate": "2022-10-05",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-10-05",
                        "endDate": "2022-10-06",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-10-06",
                        "endDate": "2022-10-07",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-10-07",
                        "endDate": "2022-10-08",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-10-15",
                        "endDate": "2022-10-16",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-10-16",
                        "endDate": "2022-10-17",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-10-22",
                        "endDate": "2022-10-23",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-10-23",
                        "endDate": "2022-10-24",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-10-27",
                        "endDate": "2022-10-28",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-10-29",
                        "endDate": "2022-10-30",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-10-30",
                        "endDate": "2022-10-31",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-11-05",
                        "endDate": "2022-11-06",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-11-06",
                        "endDate": "2022-11-07",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-11-12",
                        "endDate": "2022-11-13",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-11-13",
                        "endDate": "2022-11-14",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-11-19",
                        "endDate": "2022-11-20",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-11-20",
                        "endDate": "2022-11-21",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-11-26",
                        "endDate": "2022-11-27",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-11-27",
                        "endDate": "2022-11-28",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-12-03",
                        "endDate": "2022-12-04",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-12-04",
                        "endDate": "2022-12-05",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-12-10",
                        "endDate": "2022-12-11",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-12-11",
                        "endDate": "2022-12-12",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-12-17",
                        "endDate": "2022-12-18",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-12-18",
                        "endDate": "2022-12-19",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-12-24",
                        "endDate": "2022-12-25",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-12-25",
                        "endDate": "2022-12-26",
                        "isWorking": false
                      },
                      {
                        "startDate": "2022-12-31",
                        "endDate": "2023-01-01",
                        "isWorking": false
                      },
                      {
                        "startDate": "2023-01-01",
                        "endDate": "2023-01-02",
                        "isWorking": false
                      }
                    ]
                  }
                ]
              }

        );
        this.gantt.project.calendar = (this.gantt.project.calendarManagerStore.getById('general') as CalendarModel);
        // Assign project to gantt
        // this.gantt.project.hoursPerDay = 8
        // this.gantt.project.calendar = 'business'
    }
    addRemark() {

    }
    close() {
        this.isShowCommentsOut = false
    }
    pickMSChange(files) {

        (this.gantt.widgetMap as any).sendBtn.disabled = files.length === 0;
    }
    pickMSClear() {
        (this.gantt.widgetMap as any).sendBtn.disable();
    }
    async importMPP() {
        let parsedJson = {
            "success": true, "data": {
                "assignments": [
                    {
                        "resource": 34,
                        "id": 370,
                        "units": 100,
                        "event": 487
                    },
                    {
                        "resource": 34,
                        "id": 371,
                        "units": 100,
                        "event": 488
                    },
                    {
                        "resource": 34,
                        "id": 372,
                        "units": 100,
                        "event": 489
                    },
                    {
                        "resource": 34,
                        "id": 373,
                        "units": 100,
                        "event": 490
                    },
                    {
                        "resource": 34,
                        "id": 374,
                        "units": 100,
                        "event": 491
                    },
                    {
                        "resource": 34,
                        "id": 378,
                        "units": 100,
                        "event": 495
                    },
                    {
                        "resource": 35,
                        "id": 375,
                        "units": 100,
                        "event": 492
                    },
                    {
                        "resource": 36,
                        "id": 377,
                        "units": 100,
                        "event": 494
                    },
                    {
                        "resource": 36,
                        "id": 471,
                        "units": 100,
                        "event": 573
                    },
                    {
                        "resource": 37,
                        "id": 379,
                        "units": 100,
                        "event": 496
                    },
                    {
                        "resource": 37,
                        "id": 473,
                        "units": 100,
                        "event": 575
                    },
                    {
                        "resource": 37,
                        "id": 474,
                        "units": 100,
                        "event": 576
                    },
                    {
                        "resource": 37,
                        "id": 479,
                        "units": 100,
                        "event": 581
                    },
                    {
                        "resource": 38,
                        "id": 380,
                        "units": 100,
                        "event": 497
                    },
                    {
                        "resource": 38,
                        "id": 472,
                        "units": 100,
                        "event": 574
                    },
                    {
                        "resource": 38,
                        "id": 476,
                        "units": 100,
                        "event": 578
                    },
                    {
                        "resource": 38,
                        "id": 480,
                        "units": 100,
                        "event": 582
                    },
                    {
                        "resource": 39,
                        "id": 477,
                        "units": 100,
                        "event": 579
                    },
                    {
                        "resource": 39,
                        "id": 478,
                        "units": 100,
                        "event": 580
                    },
                    {
                        "resource": 40,
                        "id": 381,
                        "units": 100,
                        "event": 498
                    },
                    {
                        "resource": 40,
                        "id": 383,
                        "units": 100,
                        "event": 182
                    },
                    {
                        "resource": 40,
                        "id": 469,
                        "units": 100,
                        "event": 571
                    },
                    {
                        "resource": 40,
                        "id": 475,
                        "units": 100,
                        "event": 577
                    },
                    {
                        "resource": 40,
                        "id": 481,
                        "units": 100,
                        "event": 583
                    },
                    {
                        "resource": 40,
                        "id": 482,
                        "units": 100,
                        "event": 584
                    },
                    {
                        "resource": 43,
                        "id": 398,
                        "units": 100,
                        "event": 500
                    },
                    {
                        "resource": 43,
                        "id": 399,
                        "units": 100,
                        "event": 501
                    },
                    {
                        "resource": 43,
                        "id": 400,
                        "units": 100,
                        "event": 502
                    },
                    {
                        "resource": 43,
                        "id": 401,
                        "units": 100,
                        "event": 503
                    },
                    {
                        "resource": 43,
                        "id": 402,
                        "units": 100,
                        "event": 504
                    },
                    {
                        "resource": 43,
                        "id": 403,
                        "units": 100,
                        "event": 505
                    },
                    {
                        "resource": 43,
                        "id": 404,
                        "units": 100,
                        "event": 506
                    },
                    {
                        "resource": 44,
                        "id": 484,
                        "units": 100,
                        "event": 586
                    },
                    {
                        "resource": 44,
                        "id": 485,
                        "units": 100,
                        "event": 587
                    },
                    {
                        "resource": 44,
                        "id": 486,
                        "units": 100,
                        "event": 588
                    },
                    {
                        "resource": 44,
                        "id": 488,
                        "units": 100,
                        "event": 590
                    },
                    {
                        "resource": 44,
                        "id": 489,
                        "units": 100,
                        "event": 591
                    },
                    {
                        "resource": 44,
                        "id": 490,
                        "units": 100,
                        "event": 592
                    },
                    {
                        "resource": 44,
                        "id": 491,
                        "units": 100,
                        "event": 593
                    },
                    {
                        "resource": 44,
                        "id": 492,
                        "units": 100,
                        "event": 594
                    },
                    {
                        "resource": 44,
                        "id": 493,
                        "units": 100,
                        "event": 595
                    },
                    {
                        "resource": 45,
                        "id": 487,
                        "units": 100,
                        "event": 589
                    },
                    {
                        "resource": 50,
                        "id": 433,
                        "units": 100,
                        "event": 535
                    },
                    {
                        "resource": 50,
                        "id": 434,
                        "units": 100,
                        "event": 536
                    },
                    {
                        "resource": 50,
                        "id": 435,
                        "units": 100,
                        "event": 537
                    },
                    {
                        "resource": 50,
                        "id": 436,
                        "units": 100,
                        "event": 538
                    },
                    {
                        "resource": 50,
                        "id": 437,
                        "units": 100,
                        "event": 539
                    },
                    {
                        "resource": 50,
                        "id": 438,
                        "units": 100,
                        "event": 540
                    },
                    {
                        "resource": 50,
                        "id": 439,
                        "units": 100,
                        "event": 541
                    },
                    {
                        "resource": 50,
                        "id": 442,
                        "units": 100,
                        "event": 544
                    },
                    {
                        "resource": 50,
                        "id": 443,
                        "units": 100,
                        "event": 545
                    },
                    {
                        "resource": 50,
                        "id": 444,
                        "units": 100,
                        "event": 546
                    },
                    {
                        "resource": 50,
                        "id": 445,
                        "units": 100,
                        "event": 547
                    },
                    {
                        "resource": 50,
                        "id": 446,
                        "units": 100,
                        "event": 548
                    },
                    {
                        "resource": 50,
                        "id": 447,
                        "units": 100,
                        "event": 549
                    },
                    {
                        "resource": 50,
                        "id": 448,
                        "units": 100,
                        "event": 550
                    }
                ],
                "calendars": {
                    "children": [
                        {
                            "intervals": [
                                {
                                    "recurrentStartDate": "on MONDAY,TUESDAY,WEDNESDAY,THURSDAY,FRIDAY at 08:00",
                                    "priority": 20,
                                    "recurrentEndDate": "on MONDAY,TUESDAY,WEDNESDAY,THURSDAY,FRIDAY at 12:00",
                                    "isWorking": true
                                },
                                {
                                    "recurrentStartDate": "on MONDAY,TUESDAY,WEDNESDAY,THURSDAY,FRIDAY at 13:00",
                                    "priority": 20,
                                    "recurrentEndDate": "on MONDAY,TUESDAY,WEDNESDAY,THURSDAY,FRIDAY at 17:00",
                                    "isWorking": true
                                },
                                {
                                    "recurrentStartDate": "on SATURDAY at 00:00",
                                    "priority": 20,
                                    "recurrentEndDate": "on MONDAY at 00:00",
                                    "isWorking": false
                                },
                                {
                                    "endDate": "2021-10-08T00:00:00",
                                    "name": "2021 National holiday",
                                    "priority": 30,
                                    "startDate": "2021-10-01T00:00:00",
                                    "isWorking": false
                                },
                                {
                                    "endDate": "2022-02-07T00:00:00",
                                    "name": "2022 Spring Festival",
                                    "priority": 30,
                                    "startDate": "2022-01-31T00:00:00",
                                    "isWorking": false
                                }
                            ],
                            "expanded": true,
                            "children": [
                                {
                                    "intervals": [],
                                    "name": "Unnamed Resource",
                                    "id": 2,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 3,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 4,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 5,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 6,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 7,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 8,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 9,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 10,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 11,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 12,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 13,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 14,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 15,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 16,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 17,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 18,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 19,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 20,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 21,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 22,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 23,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 24,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 25,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 26,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 27,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 28,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 29,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 30,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 31,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 32,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 33,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "id": 34,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "name": "Chen Wei",
                                    "id": 36,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "name": "Deng Qian",
                                    "id": 37,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "name": "Sun Chuanhui",
                                    "id": 38,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "name": "Lv Bin",
                                    "id": 39,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "name": "Chen Jianbiao",
                                    "id": 40,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "name": "Zhang Wei",
                                    "id": 41,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "name": "Ma Fei",
                                    "id": 42,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "name": "Liu Jianmin",
                                    "id": 43,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "name": "Zhang Dehui",
                                    "id": 44,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "name": "Feng Lingyuan",
                                    "id": 45,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "name": "Zhao Yunyue",
                                    "id": 46,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "name": "Song Chengyu",
                                    "id": 47,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "name": "Sun Qunzhi",
                                    "id": 48,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "name": "Xu Jun",
                                    "id": 49,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "name": "Shi Aibo",
                                    "id": 50,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "name": "Zhu Jian",
                                    "id": 51,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                },
                                {
                                    "intervals": [],
                                    "name": "Tian Yiping",
                                    "id": 52,
                                    "parentId": 1,
                                    "unspecifiedTimeIsWorking": false
                                }
                            ],
                            "name": "Standard",
                            "id": 1,
                            "unspecifiedTimeIsWorking": false
                        },
                        {
                            "intervals": [{
                                "recurrentStartDate": "on MONDAY,TUESDAY,WEDNESDAY,THURSDAY,FRIDAY,SATURDAY,SUNDAY at 00:00",
                                "priority": 20,
                                "recurrentEndDate": "on MONDAY,TUESDAY,WEDNESDAY,THURSDAY,FRIDAY,SATURDAY,SUNDAY at 00:00",
                                "isWorking": true
                            }],
                            "name": "24 Stunden",
                            "id": 35,
                            "unspecifiedTimeIsWorking": false
                        }
                    ]
                },
                "columns": [
                    { "type": "name" },
                    { "type": "duration" },
                    { "type": "startdate" },
                    { "type": "enddate" },
                    { "type": "percentdone" },
                    { "type": "resourceassignment" }
                ],
                "project": {
                    "calendar": 1,
                    "daysPerMonth": 20,
                    "daysPerWeek": 5,
                    "startDate": "2017-01-01T08:00:00",
                    "hoursPerDay": 8,
                    "direction": "Forward"
                },
                "resources": [
                    {
                        "name": "New resource",
                        "id": 0
                    },
                    {
                        "name": "Chen Wei",
                        "id": 34
                    },
                    {
                        "name": "Deng Qian",
                        "id": 35
                    },
                    {
                        "name": "Sun Chuanhui",
                        "id": 36
                    },
                    {
                        "name": "Lv Bin",
                        "id": 37
                    },
                    {
                        "name": "Chen Jianbiao",
                        "id": 38
                    },
                    {
                        "name": "Zhang Wei",
                        "id": 39
                    },
                    {
                        "name": "Ma Fei",
                        "id": 40
                    },
                    {
                        "name": "Liu Jianmin",
                        "id": 41
                    },
                    {
                        "name": "Zhang Dehui",
                        "id": 42
                    },
                    {
                        "name": "Feng Lingyuan",
                        "id": 43
                    },
                    {
                        "name": "Zhao Yunyue",
                        "id": 44
                    },
                    {
                        "name": "Song Chengyu",
                        "id": 45
                    },
                    {
                        "name": "Sun Qunzhi",
                        "id": 46
                    },
                    {
                        "name": "Xu Jun",
                        "id": 47
                    },
                    {
                        "name": "Shi Aibo",
                        "id": 48
                    },
                    {
                        "name": "Zhu Jian",
                        "id": 49
                    },
                    {
                        "name": "Tian Yiping",
                        "id": 50
                    }
                ],
                "tasks": {
                    "children": [{
                        "calendar": 1,
                        "percentDone": 0,
                        "endDate": "2022-10-21T17:00:00",
                        "effort": 5204,
                        "schedulingMode": "Normal",
                        "effortUnit": "h",
                        "leaf": false,
                        "rollup": true,
                        "duration": 654,
                        "constraintType": "",
                        "expanded": true,
                        "milestone": false,
                        "children": [
                            {
                                "calendar": 1,
                                "percentDone": 0,
                                "endDate": "2021-07-19T08:00:00",
                                "effort": 0,
                                "schedulingMode": "FixedDuration",
                                "effortUnit": "h",
                                "leaf": true,
                                "rollup": false,
                                "duration": 0,
                                "constraintType": "startnoearlierthan",
                                "milestone": true,
                                "constraintDate": "2021-07-19T08:00:00",
                                "name": "GATE 0: Project initiation",
                                "id": 41,
                                "durationUnit": "d",
                                "startDate": "2021-07-19T08:00:00",
                                "manuallyScheduled": false
                            },
                            {
                                "percentDone": 0,
                                "endDate": "2021-07-19T08:00:00",
                                "effort": 0,
                                "schedulingMode": "FixedEffort",
                                "effortUnit": "h",
                                "leaf": true,
                                "rollup": false,
                                "duration": 0,
                                "constraintType": "startnoearlierthan",
                                "milestone": true,
                                "constraintDate": "2021-06-17T08:00:00",
                                "name": "GATE 1: Project release and order",
                                "id": 383,
                                "durationUnit": "d",
                                "startDate": "2021-07-19T08:00:00",
                                "manuallyScheduled": false
                            },
                            {
                                "calendar": 1,
                                "percentDone": 0,
                                "endDate": "2021-07-19T08:00:00",
                                "effort": 0,
                                "schedulingMode": "FixedDuration",
                                "effortUnit": "h",
                                "leaf": true,
                                "rollup": false,
                                "duration": 0,
                                "constraintType": "startnoearlierthan",
                                "milestone": true,
                                "constraintDate": "2021-06-18T08:00:00",
                                "name": "MS 1: Project Kick-off Meeting",
                                "id": 48,
                                "durationUnit": "d",
                                "startDate": "2021-07-19T08:00:00",
                                "manuallyScheduled": false
                            },
                            {
                                "calendar": 1,
                                "percentDone": 0,
                                "endDate": "2021-10-29T17:00:00",
                                "effort": 0,
                                "schedulingMode": "FixedDuration",
                                "effortUnit": "h",
                                "leaf": true,
                                "rollup": false,
                                "duration": 0,
                                "constraintType": "startnoearlierthan",
                                "milestone": true,
                                "constraintDate": "2021-07-09T08:00:00",
                                "name": "GATE 2: Design release",
                                "id": 58,
                                "durationUnit": "d",
                                "startDate": "2021-10-29T17:00:00",
                                "manuallyScheduled": false
                            },
                            {
                                "calendar": 1,
                                "percentDone": 0,
                                "endDate": "2021-12-03T17:00:00",
                                "effort": 0,
                                "schedulingMode": "FixedDuration",
                                "effortUnit": "h",
                                "leaf": true,
                                "rollup": false,
                                "duration": 0,
                                "constraintType": "startnoearlierthan",
                                "milestone": true,
                                "constraintDate": "2021-07-19T08:00:00",
                                "name": "MS 2: Kick-off procurement",
                                "id": 42,
                                "durationUnit": "d",
                                "startDate": "2021-12-03T17:00:00",
                                "manuallyScheduled": false
                            },
                            {
                                "calendar": 1,
                                "percentDone": 0,
                                "endDate": "2022-08-19T17:00:00",
                                "effort": 0,
                                "schedulingMode": "FixedDuration",
                                "effortUnit": "h",
                                "leaf": true,
                                "rollup": false,
                                "duration": 0,
                                "constraintType": "startnoearlierthan",
                                "milestone": true,
                                "constraintDate": "2022-04-05T08:00:00",
                                "name": "GATE 3: Customer pre acceptance",
                                "id": 62,
                                "durationUnit": "d",
                                "startDate": "2022-08-19T17:00:00",
                                "manuallyScheduled": false
                            },
                            {
                                "calendar": 1,
                                "percentDone": 0,
                                "endDate": "2022-10-14T17:00:00",
                                "effort": 0,
                                "schedulingMode": "FixedDuration",
                                "effortUnit": "h",
                                "leaf": true,
                                "rollup": false,
                                "duration": 0,
                                "constraintType": "startnoearlierthan",
                                "milestone": true,
                                "constraintDate": "2022-08-01T08:00:00",
                                "name": "MS 3: Final acceptance",
                                "id": 118,
                                "durationUnit": "d",
                                "startDate": "2022-10-14T17:00:00",
                                "manuallyScheduled": false
                            },
                            {
                                "calendar": 1,
                                "percentDone": 0,
                                "endDate": "2022-10-21T17:00:00",
                                "effort": 0,
                                "schedulingMode": "FixedDuration",
                                "effortUnit": "h",
                                "leaf": true,
                                "rollup": false,
                                "duration": 0,
                                "constraintType": "startnoearlierthan",
                                "milestone": true,
                                "constraintDate": "2018-03-16T08:00:00",
                                "name": "GATE 4: Project completion",
                                "id": 117,
                                "durationUnit": "d",
                                "startDate": "2022-10-21T17:00:00",
                                "manuallyScheduled": false
                            },
                            {
                                "calendar": 1,
                                "percentDone": 0,
                                "endDate": "2022-10-21T17:00:00",
                                "effort": 0,
                                "schedulingMode": "Normal",
                                "effortUnit": "h",
                                "leaf": false,
                                "rollup": true,
                                "duration": 300,
                                "constraintType": "",
                                "expanded": true,
                                "milestone": false,
                                "children": [{
                                    "calendar": 1,
                                    "percentDone": 0,
                                    "endDate": "2022-10-21T17:00:00",
                                    "effort": 0,
                                    "schedulingMode": "FixedDuration",
                                    "effortUnit": "h",
                                    "leaf": true,
                                    "rollup": false,
                                    "duration": 300,
                                    "constraintType": "finishnoearlierthan",
                                    "milestone": false,
                                    "constraintDate": "2022-08-19T17:00:00",
                                    "name": "Overall project management",
                                    "id": 34,
                                    "durationUnit": "d",
                                    "startDate": "2021-08-16T08:00:00",
                                    "manuallyScheduled": false
                                }],
                                "name": "Overall project management",
                                "id": 63,
                                "durationUnit": "d",
                                "startDate": "2021-08-16T08:00:00",
                                "manuallyScheduled": false
                            },
                            {
                                "calendar": 1,
                                "percentDone": 0,
                                "endDate": "2022-05-16T08:00:00",
                                "effort": 0,
                                "schedulingMode": "Normal",
                                "effortUnit": "h",
                                "leaf": false,
                                "rollup": true,
                                "duration": 10,
                                "constraintType": "",
                                "expanded": true,
                                "milestone": false,
                                "children": [
                                    {
                                        "calendar": 1,
                                        "percentDone": 0,
                                        "endDate": "2022-05-02T08:00:00",
                                        "effort": 0,
                                        "schedulingMode": "FixedDuration",
                                        "effortUnit": "h",
                                        "leaf": true,
                                        "rollup": false,
                                        "duration": 0,
                                        "constraintType": "startnoearlierthan",
                                        "milestone": true,
                                        "constraintDate": "2022-05-02T08:00:00",
                                        "name": "infrastruture preparation",
                                        "id": 439,
                                        "durationUnit": "d",
                                        "startDate": "2022-05-02T08:00:00",
                                        "manuallyScheduled": false
                                    },
                                    {
                                        "calendar": 1,
                                        "percentDone": 0,
                                        "endDate": "2022-05-16T08:00:00",
                                        "effort": 0,
                                        "schedulingMode": "FixedDuration",
                                        "effortUnit": "h",
                                        "leaf": true,
                                        "rollup": false,
                                        "duration": 0,
                                        "constraintType": "startnoearlierthan",
                                        "milestone": true,
                                        "constraintDate": "2022-05-16T08:00:00",
                                        "name": "Mian air and electrical power",
                                        "id": 440,
                                        "durationUnit": "d",
                                        "startDate": "2022-05-16T08:00:00",
                                        "manuallyScheduled": false
                                    }
                                ],
                                "name": "Plant preparation",
                                "id": 438,
                                "durationUnit": "d",
                                "startDate": "2022-05-02T08:00:00",
                                "manuallyScheduled": false
                            },
                            {
                                "calendar": 1,
                                "percentDone": 0,
                                "endDate": "2022-08-26T17:00:00",
                                "effort": 1798,
                                "schedulingMode": "Normal",
                                "effortUnit": "h",
                                "leaf": false,
                                "rollup": true,
                                "duration": 614,
                                "constraintType": "",
                                "expanded": true,
                                "milestone": false,
                                "children": [
                                    {
                                        "calendar": 1,
                                        "percentDone": 0,
                                        "endDate": "2022-01-14T17:00:00",
                                        "effort": 592,
                                        "schedulingMode": "Normal",
                                        "effortUnit": "h",
                                        "leaf": false,
                                        "rollup": true,
                                        "duration": 459,
                                        "constraintType": "",
                                        "expanded": true,
                                        "milestone": false,
                                        "children": [
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2021-12-03T17:00:00",
                                                "effort": 536,
                                                "schedulingMode": "Normal",
                                                "effortUnit": "h",
                                                "leaf": false,
                                                "rollup": true,
                                                "duration": 90,
                                                "constraintType": "",
                                                "expanded": true,
                                                "milestone": false,
                                                "children": [
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-10-08T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 50,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-07-26T08:00:00",
                                                        "name": "M1-2 Twisting Machine",
                                                        "id": 487,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-07-26T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-10-08T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 50,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-07-26T08:00:00",
                                                        "name": "M1-3 Trimming Machine",
                                                        "id": 488,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-07-26T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-10-08T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 50,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-07-26T08:00:00",
                                                        "name": "M1-4 Laser Welding(wire-wire)",
                                                        "id": 489,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-07-26T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-10-08T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 50,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-07-26T08:00:00",
                                                        "name": "M1-6 Laser welding(wire-busbar)",
                                                        "id": 490,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-07-26T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-10-22T17:00:00",
                                                        "effort": 80,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 10,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-10-11T08:00:00",
                                                        "name": "M1-7 Inspection(Visual)",
                                                        "id": 491,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-10-11T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-09-17T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 40,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-07-26T08:00:00",
                                                        "name": "M1-8 Electrical test",
                                                        "id": 492,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-07-26T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-09-17T17:00:00",
                                                        "effort": 160,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 40,
                                                        "constraintType": "finishnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-09-17T17:00:00",
                                                        "name": "M1-10 Resistance brazing phases",
                                                        "id": 494,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-07-26T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-11-19T17:00:00",
                                                        "effort": 160,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 20,
                                                        "constraintType": "finishnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-11-19T17:00:00",
                                                        "name": "M1-11 NTC Mount",
                                                        "id": 495,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-10-25T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-03T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-11-15T08:00:00",
                                                        "name": "M1-13 Laser Marking (Optional)",
                                                        "id": 496,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-15T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-11-05T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 10,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-10-25T08:00:00",
                                                        "name": "M1-14 Cleaning",
                                                        "id": 497,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-10-25T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-11-12T17:00:00",
                                                        "effort": 80,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 10,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-11-01T08:00:00",
                                                        "name": "M1-15 Inspection & Package",
                                                        "id": 498,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-01T08:00:00",
                                                        "manuallyScheduled": false
                                                    }
                                                ],
                                                "name": "Mechanical design",
                                                "id": 461,
                                                "durationUnit": "d",
                                                "startDate": "2021-07-26T08:00:00",
                                                "manuallyScheduled": false
                                            },
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2021-12-10T17:00:00",
                                                "effort": 0,
                                                "schedulingMode": "FixedDuration",
                                                "effortUnit": "h",
                                                "leaf": true,
                                                "rollup": false,
                                                "duration": 434,
                                                "constraintType": "",
                                                "milestone": false,
                                                "name": "MS: Machine level - end of mechanical design",
                                                "id": 463,
                                                "durationUnit": "d",
                                                "startDate": "2020-04-07T08:00:00",
                                                "manuallyScheduled": false
                                            },
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-01-14T17:00:00",
                                                "effort": 56,
                                                "schedulingMode": "Normal",
                                                "effortUnit": "h",
                                                "leaf": false,
                                                "rollup": true,
                                                "duration": 50,
                                                "constraintType": "",
                                                "expanded": true,
                                                "milestone": false,
                                                "children": [
                                                    {
                                                        "calendar": 1,
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-03T17:00:00",
                                                        "effort": 56,
                                                        "schedulingMode": "Normal",
                                                        "effortUnit": "h",
                                                        "leaf": false,
                                                        "rollup": true,
                                                        "duration": 20,
                                                        "constraintType": "",
                                                        "expanded": true,
                                                        "milestone": false,
                                                        "children": [
                                                            {
                                                                "percentDone": 0,
                                                                "endDate": "2021-11-19T17:00:00",
                                                                "effort": 8,
                                                                "schedulingMode": "FixedEffort",
                                                                "effortUnit": "h",
                                                                "leaf": true,
                                                                "rollup": false,
                                                                "duration": 10,
                                                                "constraintType": "",
                                                                "milestone": false,
                                                                "name": "M1-7 Inspection(Visual)",
                                                                "id": 500,
                                                                "durationUnit": "d",
                                                                "startDate": "2021-11-08T08:00:00",
                                                                "manuallyScheduled": false
                                                            },
                                                            {
                                                                "percentDone": 0,
                                                                "endDate": "2021-11-19T17:00:00",
                                                                "effort": 8,
                                                                "schedulingMode": "FixedEffort",
                                                                "effortUnit": "h",
                                                                "leaf": true,
                                                                "rollup": false,
                                                                "duration": 10,
                                                                "constraintType": "",
                                                                "milestone": false,
                                                                "name": "M1-8 Electrical test",
                                                                "id": 501,
                                                                "durationUnit": "d",
                                                                "startDate": "2021-11-08T08:00:00",
                                                                "manuallyScheduled": false
                                                            },
                                                            {
                                                                "percentDone": 0,
                                                                "endDate": "2021-11-19T17:00:00",
                                                                "effort": 8,
                                                                "schedulingMode": "FixedEffort",
                                                                "effortUnit": "h",
                                                                "leaf": true,
                                                                "rollup": false,
                                                                "duration": 10,
                                                                "constraintType": "",
                                                                "milestone": false,
                                                                "name": "M1-10 Resistance brazing phases",
                                                                "id": 502,
                                                                "durationUnit": "d",
                                                                "startDate": "2021-11-08T08:00:00",
                                                                "manuallyScheduled": false
                                                            },
                                                            {
                                                                "percentDone": 0,
                                                                "endDate": "2021-11-19T17:00:00",
                                                                "effort": 8,
                                                                "schedulingMode": "FixedEffort",
                                                                "effortUnit": "h",
                                                                "leaf": true,
                                                                "rollup": false,
                                                                "duration": 10,
                                                                "constraintType": "",
                                                                "milestone": false,
                                                                "name": "M1-11 NTC Mount",
                                                                "id": 503,
                                                                "durationUnit": "d",
                                                                "startDate": "2021-11-08T08:00:00",
                                                                "manuallyScheduled": false
                                                            },
                                                            {
                                                                "percentDone": 0,
                                                                "endDate": "2021-12-03T17:00:00",
                                                                "effort": 8,
                                                                "schedulingMode": "FixedEffort",
                                                                "effortUnit": "h",
                                                                "leaf": true,
                                                                "rollup": false,
                                                                "duration": 10,
                                                                "constraintType": "",
                                                                "milestone": false,
                                                                "name": "M1-13 Laser Marking (Optional)",
                                                                "id": 504,
                                                                "durationUnit": "d",
                                                                "startDate": "2021-11-22T08:00:00",
                                                                "manuallyScheduled": false
                                                            },
                                                            {
                                                                "percentDone": 0,
                                                                "endDate": "2021-11-19T17:00:00",
                                                                "effort": 8,
                                                                "schedulingMode": "FixedEffort",
                                                                "effortUnit": "h",
                                                                "leaf": true,
                                                                "rollup": false,
                                                                "duration": 10,
                                                                "constraintType": "",
                                                                "milestone": false,
                                                                "name": "M1-14 Cleaning",
                                                                "id": 505,
                                                                "durationUnit": "d",
                                                                "startDate": "2021-11-08T08:00:00",
                                                                "manuallyScheduled": false
                                                            },
                                                            {
                                                                "percentDone": 0,
                                                                "endDate": "2021-11-19T17:00:00",
                                                                "effort": 8,
                                                                "schedulingMode": "FixedEffort",
                                                                "effortUnit": "h",
                                                                "leaf": true,
                                                                "rollup": false,
                                                                "duration": 10,
                                                                "constraintType": "",
                                                                "milestone": false,
                                                                "name": "M1-15 Inspection & Package",
                                                                "id": 506,
                                                                "durationUnit": "d",
                                                                "startDate": "2021-11-08T08:00:00",
                                                                "manuallyScheduled": false
                                                            }
                                                        ],
                                                        "name": "Electrical design - hardware",
                                                        "id": 465,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-08T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "calendar": 1,
                                                        "percentDone": 0,
                                                        "endDate": "2022-01-14T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedDuration",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-12-27T08:00:00",
                                                        "name": "Electrical design - software preparation",
                                                        "id": 466,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-12-27T08:00:00",
                                                        "manuallyScheduled": false
                                                    }
                                                ],
                                                "name": "Electrical design",
                                                "id": 464,
                                                "durationUnit": "d",
                                                "startDate": "2021-11-08T08:00:00",
                                                "manuallyScheduled": false
                                            }
                                        ],
                                        "name": "Design",
                                        "id": 460,
                                        "durationUnit": "d",
                                        "startDate": "2020-04-07T08:00:00",
                                        "manuallyScheduled": false
                                    },
                                    {
                                        "calendar": 1,
                                        "percentDone": 0,
                                        "endDate": "2022-06-24T17:00:00",
                                        "effort": 0,
                                        "schedulingMode": "Normal",
                                        "effortUnit": "h",
                                        "leaf": false,
                                        "rollup": true,
                                        "duration": 190,
                                        "constraintType": "",
                                        "expanded": true,
                                        "milestone": false,
                                        "children": [
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-06-24T17:00:00",
                                                "effort": 0,
                                                "schedulingMode": "Normal",
                                                "effortUnit": "h",
                                                "leaf": false,
                                                "rollup": true,
                                                "duration": 180,
                                                "constraintType": "",
                                                "expanded": true,
                                                "milestone": false,
                                                "children": [
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-06-24T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 180,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-2 Twisting Machine",
                                                        "id": 508,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-10-11T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-06-24T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 180,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-3 Trimming Machine",
                                                        "id": 509,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-10-11T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-06-24T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 180,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-4 Laser Welding(wire-wire)",
                                                        "id": 510,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-10-11T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-06-24T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 180,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-6 Laser welding(wire-busbar)",
                                                        "id": 511,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-10-11T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-03-18T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 80,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "Simens CPU & necessary HW LT parts",
                                                        "id": 534,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-22T08:00:00",
                                                        "manuallyScheduled": false
                                                    }
                                                ],
                                                "name": "Critical Mechanical  parts procurement",
                                                "id": 468,
                                                "durationUnit": "d",
                                                "startDate": "2021-10-11T08:00:00",
                                                "manuallyScheduled": false
                                            },
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-01-14T17:00:00",
                                                "effort": 0,
                                                "schedulingMode": "Normal",
                                                "effortUnit": "h",
                                                "leaf": false,
                                                "rollup": true,
                                                "duration": 80,
                                                "constraintType": "",
                                                "expanded": true,
                                                "milestone": false,
                                                "children": [
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-03T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-7 Inspection(Visual)",
                                                        "id": 514,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-10-25T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-11-05T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-8 Electrical test",
                                                        "id": 515,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-09-20T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-11-05T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-10 Resistance brazing phases",
                                                        "id": 516,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-09-20T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-31T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-11 NTC Mount",
                                                        "id": 517,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-22T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-01-14T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-13 Laser Marking (Optional)",
                                                        "id": 518,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-12-06T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-17T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-14 Cleaning",
                                                        "id": 519,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-08T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-24T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-15 Inspection & Package",
                                                        "id": 520,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-15T08:00:00",
                                                        "manuallyScheduled": false
                                                    }
                                                ],
                                                "name": "Mechanical  parts procurement",
                                                "id": 469,
                                                "durationUnit": "d",
                                                "startDate": "2021-09-20T08:00:00",
                                                "manuallyScheduled": false
                                            },
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-01-14T17:00:00",
                                                "effort": 0,
                                                "schedulingMode": "Normal",
                                                "effortUnit": "h",
                                                "leaf": false,
                                                "rollup": true,
                                                "duration": 40,
                                                "constraintType": "",
                                                "expanded": true,
                                                "milestone": false,
                                                "children": [
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-31T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-7 Inspection(Visual)",
                                                        "id": 521,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-22T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-31T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-8 Electrical test",
                                                        "id": 522,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-22T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-31T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-10 Resistance brazing phases",
                                                        "id": 523,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-22T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-31T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-11 NTC Mount",
                                                        "id": 524,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-22T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-01-14T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-13 Laser Marking (Optional)",
                                                        "id": 525,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-12-06T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-31T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-14 Cleaning",
                                                        "id": 526,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-22T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-31T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-15 Inspection & Package",
                                                        "id": 527,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-22T08:00:00",
                                                        "manuallyScheduled": false
                                                    }
                                                ],
                                                "name": "Electrical procurement",
                                                "id": 470,
                                                "durationUnit": "d",
                                                "startDate": "2021-11-22T08:00:00",
                                                "manuallyScheduled": false
                                            }
                                        ],
                                        "name": "Procurement",
                                        "id": 467,
                                        "durationUnit": "d",
                                        "startDate": "2021-09-20T08:00:00",
                                        "manuallyScheduled": false
                                    },
                                    {
                                        "calendar": 1,
                                        "percentDone": 0,
                                        "endDate": "2022-05-20T17:00:00",
                                        "effort": 896,
                                        "schedulingMode": "Normal",
                                        "effortUnit": "h",
                                        "leaf": false,
                                        "rollup": true,
                                        "duration": 135,
                                        "constraintType": "",
                                        "expanded": true,
                                        "milestone": false,
                                        "children": [
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-02-11T17:00:00",
                                                "effort": 56,
                                                "schedulingMode": "Normal",
                                                "effortUnit": "h",
                                                "leaf": false,
                                                "rollup": true,
                                                "duration": 65,
                                                "constraintType": "",
                                                "expanded": true,
                                                "milestone": false,
                                                "children": [
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-24T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-7 Inspection(Visual)",
                                                        "id": 535,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-12-06T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-11-26T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-8 Electrical test",
                                                        "id": 536,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-08T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-11-26T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-10 Resistance brazing phases",
                                                        "id": 537,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-08T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-01-21T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-11 NTC Mount",
                                                        "id": 538,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-01-03T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-02-11T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-13 Laser Marking (Optional)",
                                                        "id": 539,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-01-17T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-01-07T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-14 Cleaning",
                                                        "id": 540,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-12-20T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-01-14T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-15 Inspection & Package",
                                                        "id": 541,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-12-27T08:00:00",
                                                        "manuallyScheduled": false
                                                    }
                                                ],
                                                "name": "Mechanical assembly",
                                                "id": 472,
                                                "durationUnit": "d",
                                                "startDate": "2021-11-08T08:00:00",
                                                "manuallyScheduled": false
                                            },
                                            {
                                                "calendar": 1,
                                                "percentDone": 100,
                                                "endDate": "2022-02-11T08:00:00",
                                                "effort": 0,
                                                "schedulingMode": "FixedDuration",
                                                "effortUnit": "h",
                                                "leaf": true,
                                                "rollup": false,
                                                "duration": 0,
                                                "constraintType": "",
                                                "milestone": true,
                                                "name": "MS: Machine level - End of mechanical assembly",
                                                "id": 473,
                                                "durationUnit": "d",
                                                "startDate": "2022-02-11T08:00:00",
                                                "manuallyScheduled": false
                                            },
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-05-20T17:00:00",
                                                "effort": 840,
                                                "schedulingMode": "Normal",
                                                "effortUnit": "h",
                                                "leaf": false,
                                                "rollup": true,
                                                "duration": 45,
                                                "constraintType": "",
                                                "expanded": true,
                                                "milestone": false,
                                                "children": [
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-08T17:00:00",
                                                        "effort": 120,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-7 Inspection(Visual)",
                                                        "id": 544,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-03-21T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-22T17:00:00",
                                                        "effort": 120,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-8 Electrical test",
                                                        "id": 545,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-04T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-05-06T17:00:00",
                                                        "effort": 120,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-10 Resistance brazing phases",
                                                        "id": 546,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-18T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-08T17:00:00",
                                                        "effort": 120,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-11 NTC Mount",
                                                        "id": 547,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-03-21T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-05-20T17:00:00",
                                                        "effort": 120,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-13 Laser Marking (Optional)",
                                                        "id": 548,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-05-02T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-08T17:00:00",
                                                        "effort": 120,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-14 Cleaning",
                                                        "id": 549,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-03-21T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-08T17:00:00",
                                                        "effort": 120,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-15 Inspection & Package",
                                                        "id": 550,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-03-21T08:00:00",
                                                        "manuallyScheduled": false
                                                    }
                                                ],
                                                "name": "Electrical assembly",
                                                "id": 474,
                                                "durationUnit": "d",
                                                "startDate": "2022-03-21T08:00:00",
                                                "manuallyScheduled": false
                                            }
                                        ],
                                        "name": "Assembly",
                                        "id": 471,
                                        "durationUnit": "d",
                                        "startDate": "2021-11-08T08:00:00",
                                        "manuallyScheduled": false
                                    },
                                    {
                                        "calendar": 1,
                                        "percentDone": 0,
                                        "endDate": "2022-07-08T17:00:00",
                                        "effort": 50,
                                        "schedulingMode": "Normal",
                                        "effortUnit": "h",
                                        "leaf": false,
                                        "rollup": true,
                                        "duration": 65,
                                        "constraintType": "",
                                        "expanded": true,
                                        "milestone": false,
                                        "children": [
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-05-27T17:00:00",
                                                "effort": 0,
                                                "schedulingMode": "Normal",
                                                "effortUnit": "h",
                                                "leaf": false,
                                                "rollup": true,
                                                "duration": 35,
                                                "constraintType": "",
                                                "expanded": true,
                                                "milestone": false,
                                                "children": [
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-15T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 5,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-7 Inspection(Visual)",
                                                        "id": 553,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-11T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-29T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 5,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-8 Electrical test",
                                                        "id": 554,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-25T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-05-13T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 5,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-10 Resistance brazing phases",
                                                        "id": 555,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-05-09T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-15T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 5,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-11 NTC Mount",
                                                        "id": 556,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-11T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-05-27T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 5,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-13 Laser Marking (Optional)",
                                                        "id": 557,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-05-23T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-15T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 5,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-14 Cleaning",
                                                        "id": 558,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-11T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-15T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 5,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-15 Inspection & Package",
                                                        "id": 559,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-11T08:00:00",
                                                        "manuallyScheduled": false
                                                    }
                                                ],
                                                "name": "Mechanical startup",
                                                "id": 477,
                                                "durationUnit": "d",
                                                "startDate": "2022-04-11T08:00:00",
                                                "manuallyScheduled": false
                                            },
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-07-08T17:00:00",
                                                "effort": 50,
                                                "schedulingMode": "Normal",
                                                "effortUnit": "h",
                                                "leaf": false,
                                                "rollup": true,
                                                "duration": 60,
                                                "constraintType": "",
                                                "expanded": true,
                                                "milestone": false,
                                                "children": [
                                                    {
                                                        "calendar": 1,
                                                        "percentDone": 0,
                                                        "endDate": "2022-05-06T17:00:00",
                                                        "effort": 50,
                                                        "schedulingMode": "FixedDuration",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-7 Inspection(Visual)",
                                                        "id": 479,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-18T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-05-20T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-8 Electrical test",
                                                        "id": 561,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-05-02T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-06-03T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-10 Resistance brazing phases",
                                                        "id": 562,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-05-16T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-05-06T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-11 NTC Mount",
                                                        "id": 563,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-18T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-06-17T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-13 Laser Marking (Optional)",
                                                        "id": 564,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-05-30T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-05-06T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-14 Cleaning",
                                                        "id": 565,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-18T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-05-06T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M1-15 Inspection & Package",
                                                        "id": 566,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-18T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-07-08T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 10,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "Outsourcing machine linking",
                                                        "id": 569,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-06-27T08:00:00",
                                                        "manuallyScheduled": false
                                                    }
                                                ],
                                                "name": "Electrical startup",
                                                "id": 478,
                                                "durationUnit": "d",
                                                "startDate": "2022-04-18T08:00:00",
                                                "manuallyScheduled": false
                                            }
                                        ],
                                        "name": "Commissioning in Shopfloor",
                                        "id": 476,
                                        "durationUnit": "d",
                                        "startDate": "2022-04-11T08:00:00",
                                        "manuallyScheduled": false
                                    },
                                    {
                                        "calendar": 1,
                                        "percentDone": 0,
                                        "endDate": "2022-07-22T17:00:00",
                                        "effort": 110,
                                        "schedulingMode": "Normal",
                                        "effortUnit": "h",
                                        "leaf": false,
                                        "rollup": true,
                                        "duration": 10,
                                        "constraintType": "",
                                        "expanded": true,
                                        "milestone": false,
                                        "children": [{
                                            "calendar": 1,
                                            "percentDone": 0,
                                            "endDate": "2022-07-22T17:00:00",
                                            "effort": 110,
                                            "schedulingMode": "FixedDuration",
                                            "effortUnit": "h",
                                            "leaf": true,
                                            "rollup": false,
                                            "duration": 10,
                                            "constraintType": "startnoearlierthan",
                                            "milestone": false,
                                            "constraintDate": "2021-03-08T08:00:00",
                                            "name": "Quality and approval",
                                            "id": 482,
                                            "durationUnit": "d",
                                            "startDate": "2022-07-11T08:00:00",
                                            "manuallyScheduled": false
                                        }],
                                        "name": "Quality and approval",
                                        "id": 481,
                                        "durationUnit": "d",
                                        "startDate": "2022-07-11T08:00:00",
                                        "manuallyScheduled": false
                                    },
                                    {
                                        "calendar": 1,
                                        "percentDone": 0,
                                        "endDate": "2022-08-26T17:00:00",
                                        "effort": 150,
                                        "schedulingMode": "Normal",
                                        "effortUnit": "h",
                                        "leaf": false,
                                        "rollup": true,
                                        "duration": 25,
                                        "constraintType": "",
                                        "expanded": true,
                                        "milestone": false,
                                        "children": [
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-08-05T17:00:00",
                                                "effort": 50,
                                                "schedulingMode": "FixedDuration",
                                                "effortUnit": "h",
                                                "leaf": true,
                                                "rollup": false,
                                                "duration": 10,
                                                "constraintType": "startnoearlierthan",
                                                "milestone": false,
                                                "constraintDate": "2017-10-09T08:00:00",
                                                "name": "Mechanical as-built",
                                                "id": 484,
                                                "durationUnit": "d",
                                                "startDate": "2022-07-25T08:00:00",
                                                "manuallyScheduled": false
                                            },
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-08-12T17:00:00",
                                                "effort": 50,
                                                "schedulingMode": "FixedDuration",
                                                "effortUnit": "h",
                                                "leaf": true,
                                                "rollup": false,
                                                "duration": 10,
                                                "constraintType": "startnoearlierthan",
                                                "milestone": false,
                                                "constraintDate": "2017-10-09T08:00:00",
                                                "name": "Hardware as-built",
                                                "id": 485,
                                                "durationUnit": "d",
                                                "startDate": "2022-08-01T08:00:00",
                                                "manuallyScheduled": false
                                            },
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-08-26T17:00:00",
                                                "effort": 50,
                                                "schedulingMode": "FixedDuration",
                                                "effortUnit": "h",
                                                "leaf": true,
                                                "rollup": false,
                                                "duration": 10,
                                                "constraintType": "startnoearlierthan",
                                                "milestone": false,
                                                "constraintDate": "2017-10-09T08:00:00",
                                                "name": "Software as-built",
                                                "id": 486,
                                                "durationUnit": "d",
                                                "startDate": "2022-08-15T08:00:00",
                                                "manuallyScheduled": false
                                            }
                                        ],
                                        "name": "Redlining/ As-built",
                                        "id": 483,
                                        "durationUnit": "d",
                                        "startDate": "2022-07-25T08:00:00",
                                        "manuallyScheduled": false
                                    }
                                ],
                                "name": "Stator line for Evergrande",
                                "id": 459,
                                "durationUnit": "d",
                                "startDate": "2020-04-07T08:00:00",
                                "manuallyScheduled": false
                            },
                            {
                                "calendar": 1,
                                "percentDone": 0,
                                "endDate": "2022-09-30T17:00:00",
                                "effort": 3326,
                                "schedulingMode": "Normal",
                                "effortUnit": "h",
                                "leaf": false,
                                "rollup": true,
                                "duration": 310,
                                "constraintType": "",
                                "expanded": true,
                                "milestone": false,
                                "children": [
                                    {
                                        "calendar": 1,
                                        "percentDone": 0,
                                        "endDate": "2021-12-10T17:00:00",
                                        "effort": 3016,
                                        "schedulingMode": "Normal",
                                        "effortUnit": "h",
                                        "leaf": false,
                                        "rollup": true,
                                        "duration": 105,
                                        "constraintType": "",
                                        "expanded": true,
                                        "milestone": false,
                                        "children": [
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2021-12-03T17:00:00",
                                                "effort": 2336,
                                                "schedulingMode": "Normal",
                                                "effortUnit": "h",
                                                "leaf": false,
                                                "rollup": true,
                                                "duration": 100,
                                                "constraintType": "",
                                                "expanded": true,
                                                "milestone": false,
                                                "children": [
                                                    {
                                                        "calendar": 1,
                                                        "baselineDuration": "0.0d",
                                                        "percentDone": 0,
                                                        "endDate": "2021-08-27T17:00:00",
                                                        "effort": 240,
                                                        "schedulingMode": "FixedDuration",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-07-19T08:00:00",
                                                        "name": "M2-2 Magnets Inserting & stacking",
                                                        "id": 182,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-07-19T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-07-26T08:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 0,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": true,
                                                        "constraintDate": "2021-07-26T08:00:00",
                                                        "name": "M2-3 Inductive Heating Lamella stacks",
                                                        "id": 570,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-07-26T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-10-15T17:00:00",
                                                        "effort": 240,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-5 Robot for transfer molding",
                                                        "id": 571,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-08-30T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-07-26T08:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 0,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": true,
                                                        "constraintDate": "2021-07-26T08:00:00",
                                                        "name": "M2-6 Transfer molding",
                                                        "id": 572,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-07-26T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-11-12T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 40,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-09-13T08:00:00",
                                                        "name": "M2-7 Demoulding",
                                                        "id": 573,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-09-13T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-10-22T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 50,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-08-09T08:00:00",
                                                        "name": "M2-8 Tool Cleaning",
                                                        "id": 574,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-08-09T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-09-17T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 50,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-07-12T08:00:00",
                                                        "name": "M2-9 Inductive Heating",
                                                        "id": 575,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-07-12T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-09-17T17:00:00",
                                                        "effort": 400,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 50,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-07-12T08:00:00",
                                                        "name": "M2-10 Shrinking to shaft & Balancing disk",
                                                        "id": 576,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-07-12T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-10-08T17:00:00",
                                                        "effort": 400,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 50,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-07-26T08:00:00",
                                                        "name": "M2-11 Cooling",
                                                        "id": 577,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-07-26T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-10-08T17:00:00",
                                                        "effort": 400,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 50,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-07-26T08:00:00",
                                                        "name": "M2-12 Balancing",
                                                        "id": 578,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-07-26T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-10-08T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 40,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-08-09T08:00:00",
                                                        "name": "M2-13 Leakage test",
                                                        "id": 579,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-08-09T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-03T17:00:00",
                                                        "effort": 320,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 40,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-14 Magnetization & inspection",
                                                        "id": 580,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-10-11T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-11-26T17:00:00",
                                                        "effort": 280,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 35,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-10-11T08:00:00",
                                                        "name": "M2-15 Laser Marking",
                                                        "id": 581,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-10-11T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-11-19T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 10,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-11-08T08:00:00",
                                                        "name": "M-2-16 Cleaning(Optional)",
                                                        "id": 582,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-08T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-10-22T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 5,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-17 Visual check",
                                                        "id": 583,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-10-18T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-10-29T17:00:00",
                                                        "effort": 8,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 5,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-18 Package",
                                                        "id": 584,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-10-25T08:00:00",
                                                        "manuallyScheduled": false
                                                    }
                                                ],
                                                "name": "Mechanical design",
                                                "id": 181,
                                                "durationUnit": "d",
                                                "startDate": "2021-07-12T08:00:00",
                                                "manuallyScheduled": false
                                            },
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2021-12-03T17:00:00",
                                                "effort": 0,
                                                "schedulingMode": "FixedDuration",
                                                "effortUnit": "h",
                                                "leaf": true,
                                                "rollup": false,
                                                "duration": 0,
                                                "constraintType": "",
                                                "milestone": true,
                                                "name": "MS: Machine level - end of mechanical design",
                                                "id": 183,
                                                "durationUnit": "d",
                                                "startDate": "2021-12-03T17:00:00",
                                                "manuallyScheduled": false
                                            },
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2021-12-10T17:00:00",
                                                "effort": 680,
                                                "schedulingMode": "Normal",
                                                "effortUnit": "h",
                                                "leaf": false,
                                                "rollup": true,
                                                "duration": 25,
                                                "constraintType": "",
                                                "expanded": true,
                                                "milestone": false,
                                                "children": [
                                                    {
                                                        "calendar": 1,
                                                        "percentDone": 0,
                                                        "endDate": "2021-11-26T17:00:00",
                                                        "effort": 680,
                                                        "schedulingMode": "Normal",
                                                        "effortUnit": "h",
                                                        "leaf": false,
                                                        "rollup": true,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "expanded": true,
                                                        "milestone": false,
                                                        "children": [
                                                            {
                                                                "percentDone": 0,
                                                                "endDate": "2021-11-19T17:00:00",
                                                                "effort": 80,
                                                                "schedulingMode": "FixedEffort",
                                                                "effortUnit": "h",
                                                                "leaf": true,
                                                                "rollup": false,
                                                                "duration": 10,
                                                                "constraintType": "",
                                                                "milestone": false,
                                                                "name": "M2-2 Magnets Inserting & stacking",
                                                                "id": 586,
                                                                "durationUnit": "d",
                                                                "startDate": "2021-11-08T08:00:00",
                                                                "manuallyScheduled": false
                                                            },
                                                            {
                                                                "percentDone": 0,
                                                                "endDate": "2021-11-19T17:00:00",
                                                                "effort": 80,
                                                                "schedulingMode": "FixedEffort",
                                                                "effortUnit": "h",
                                                                "leaf": true,
                                                                "rollup": false,
                                                                "duration": 10,
                                                                "constraintType": "",
                                                                "milestone": false,
                                                                "name": "M2-5 Robot for transfer molding",
                                                                "id": 587,
                                                                "durationUnit": "d",
                                                                "startDate": "2021-11-08T08:00:00",
                                                                "manuallyScheduled": false
                                                            },
                                                            {
                                                                "percentDone": 0,
                                                                "endDate": "2021-11-19T17:00:00",
                                                                "effort": 80,
                                                                "schedulingMode": "FixedEffort",
                                                                "effortUnit": "h",
                                                                "leaf": true,
                                                                "rollup": false,
                                                                "duration": 10,
                                                                "constraintType": "",
                                                                "milestone": false,
                                                                "name": "M2-7 Demoulding",
                                                                "id": 588,
                                                                "durationUnit": "d",
                                                                "startDate": "2021-11-08T08:00:00",
                                                                "manuallyScheduled": false
                                                            },
                                                            {
                                                                "percentDone": 0,
                                                                "endDate": "2021-11-19T17:00:00",
                                                                "effort": 80,
                                                                "schedulingMode": "FixedEffort",
                                                                "effortUnit": "h",
                                                                "leaf": true,
                                                                "rollup": false,
                                                                "duration": 10,
                                                                "constraintType": "",
                                                                "milestone": false,
                                                                "name": "M2-8 Tool Cleaning",
                                                                "id": 589,
                                                                "durationUnit": "d",
                                                                "startDate": "2021-11-08T08:00:00",
                                                                "manuallyScheduled": false
                                                            },
                                                            {
                                                                "percentDone": 0,
                                                                "endDate": "2021-11-19T17:00:00",
                                                                "effort": 80,
                                                                "schedulingMode": "FixedEffort",
                                                                "effortUnit": "h",
                                                                "leaf": true,
                                                                "rollup": false,
                                                                "duration": 10,
                                                                "constraintType": "",
                                                                "milestone": false,
                                                                "name": "M2-10 Shrinking to shaft & Balancing disk",
                                                                "id": 590,
                                                                "durationUnit": "d",
                                                                "startDate": "2021-11-08T08:00:00",
                                                                "manuallyScheduled": false
                                                            },
                                                            {
                                                                "percentDone": 0,
                                                                "endDate": "2021-11-19T17:00:00",
                                                                "effort": 80,
                                                                "schedulingMode": "FixedEffort",
                                                                "effortUnit": "h",
                                                                "leaf": true,
                                                                "rollup": false,
                                                                "duration": 10,
                                                                "constraintType": "",
                                                                "milestone": false,
                                                                "name": "M2-13 Leakage test",
                                                                "id": 591,
                                                                "durationUnit": "d",
                                                                "startDate": "2021-11-08T08:00:00",
                                                                "manuallyScheduled": false
                                                            },
                                                            {
                                                                "percentDone": 0,
                                                                "endDate": "2021-11-26T17:00:00",
                                                                "effort": 80,
                                                                "schedulingMode": "FixedEffort",
                                                                "effortUnit": "h",
                                                                "leaf": true,
                                                                "rollup": false,
                                                                "duration": 10,
                                                                "constraintType": "",
                                                                "milestone": false,
                                                                "name": "M2-15 Laser Marking",
                                                                "id": 592,
                                                                "durationUnit": "d",
                                                                "startDate": "2021-11-15T08:00:00",
                                                                "manuallyScheduled": false
                                                            },
                                                            {
                                                                "percentDone": 0,
                                                                "endDate": "2021-11-19T17:00:00",
                                                                "effort": 40,
                                                                "schedulingMode": "FixedEffort",
                                                                "effortUnit": "h",
                                                                "leaf": true,
                                                                "rollup": false,
                                                                "duration": 5,
                                                                "constraintType": "",
                                                                "milestone": false,
                                                                "name": "M-2-16 Cleaning(Optional)",
                                                                "id": 593,
                                                                "durationUnit": "d",
                                                                "startDate": "2021-11-15T08:00:00",
                                                                "manuallyScheduled": false
                                                            },
                                                            {
                                                                "percentDone": 0,
                                                                "endDate": "2021-11-12T17:00:00",
                                                                "effort": 40,
                                                                "schedulingMode": "FixedEffort",
                                                                "effortUnit": "h",
                                                                "leaf": true,
                                                                "rollup": false,
                                                                "duration": 5,
                                                                "constraintType": "",
                                                                "milestone": false,
                                                                "name": "M2-17 Visual check",
                                                                "id": 594,
                                                                "durationUnit": "d",
                                                                "startDate": "2021-11-08T08:00:00",
                                                                "manuallyScheduled": false
                                                            },
                                                            {
                                                                "percentDone": 0,
                                                                "endDate": "2021-11-12T17:00:00",
                                                                "effort": 40,
                                                                "schedulingMode": "FixedEffort",
                                                                "effortUnit": "h",
                                                                "leaf": true,
                                                                "rollup": false,
                                                                "duration": 5,
                                                                "constraintType": "",
                                                                "milestone": false,
                                                                "name": "M2-18 Package",
                                                                "id": 595,
                                                                "durationUnit": "d",
                                                                "startDate": "2021-11-08T08:00:00",
                                                                "manuallyScheduled": false
                                                            }
                                                        ],
                                                        "name": "Electrical design - hardware",
                                                        "id": 185,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-08T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "calendar": 1,
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-10T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedDuration",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "startnoearlierthan",
                                                        "milestone": false,
                                                        "constraintDate": "2021-11-22T08:00:00",
                                                        "name": "Electrical design - software preparation",
                                                        "id": 186,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-22T08:00:00",
                                                        "manuallyScheduled": false
                                                    }
                                                ],
                                                "name": "Electrical design",
                                                "id": 184,
                                                "durationUnit": "d",
                                                "startDate": "2021-11-08T08:00:00",
                                                "manuallyScheduled": false
                                            }
                                        ],
                                        "name": "Design",
                                        "id": 180,
                                        "durationUnit": "d",
                                        "startDate": "2021-07-12T08:00:00",
                                        "manuallyScheduled": false
                                    },
                                    {
                                        "calendar": 1,
                                        "percentDone": 0,
                                        "endDate": "2022-07-22T17:00:00",
                                        "effort": 0,
                                        "schedulingMode": "Normal",
                                        "effortUnit": "h",
                                        "leaf": false,
                                        "rollup": true,
                                        "duration": 225,
                                        "constraintType": "",
                                        "expanded": true,
                                        "milestone": false,
                                        "children": [
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-07-22T17:00:00",
                                                "effort": 0,
                                                "schedulingMode": "Normal",
                                                "effortUnit": "h",
                                                "leaf": false,
                                                "rollup": true,
                                                "duration": 210,
                                                "constraintType": "",
                                                "expanded": true,
                                                "milestone": false,
                                                "children": [
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-06-10T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 180,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-9 Inductive Heating",
                                                        "id": 598,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-09-20T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-05-27T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 160,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-11 Cooling",
                                                        "id": 599,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-10-11T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-06-10T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 170,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-12 Balancing",
                                                        "id": 602,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-10-11T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-07-22T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 160,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-14 Magnetization & inspection",
                                                        "id": 600,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-12-06T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-03-18T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 80,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "Simens CPU & necessary HW LT parts",
                                                        "id": 601,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-22T08:00:00",
                                                        "manuallyScheduled": false
                                                    }
                                                ],
                                                "name": "Critical Mechanical  parts procurement",
                                                "id": 194,
                                                "durationUnit": "d",
                                                "startDate": "2021-09-20T08:00:00",
                                                "manuallyScheduled": false
                                            },
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-01-07T17:00:00",
                                                "effort": 0,
                                                "schedulingMode": "Normal",
                                                "effortUnit": "h",
                                                "leaf": false,
                                                "rollup": true,
                                                "duration": 90,
                                                "constraintType": "",
                                                "expanded": true,
                                                "milestone": false,
                                                "children": [
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-10-15T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-2 Magnets Inserting & stacking",
                                                        "id": 603,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-08-30T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-11-26T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-5 Robot for transfer molding",
                                                        "id": 604,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-10-18T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-24T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-7 Demoulding",
                                                        "id": 605,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-15T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-03T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-8 Tool Cleaning",
                                                        "id": 606,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-10-25T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-11-05T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-10 Shrinking to shaft & Balancing disk",
                                                        "id": 615,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-09-20T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-11-19T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-13 Leakage test",
                                                        "id": 616,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-10-11T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-01-07T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-15 Laser Marking",
                                                        "id": 617,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-29T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-31T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M-2-16 Cleaning(Optional)",
                                                        "id": 618,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-22T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-03T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-17 Visual check",
                                                        "id": 619,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-10-25T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-10T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-18 Package",
                                                        "id": 607,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-01T08:00:00",
                                                        "manuallyScheduled": false
                                                    }
                                                ],
                                                "name": "Mechanical  parts procurement",
                                                "id": 387,
                                                "durationUnit": "d",
                                                "startDate": "2021-08-30T08:00:00",
                                                "manuallyScheduled": false
                                            },
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-01-07T17:00:00",
                                                "effort": 0,
                                                "schedulingMode": "Normal",
                                                "effortUnit": "h",
                                                "leaf": false,
                                                "rollup": true,
                                                "duration": 40,
                                                "constraintType": "",
                                                "expanded": true,
                                                "milestone": false,
                                                "children": [
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-31T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-2 Magnets Inserting & stacking",
                                                        "id": 620,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-22T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-31T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-5 Robot for transfer molding",
                                                        "id": 621,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-22T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-31T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-7 Demoulding",
                                                        "id": 622,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-22T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-31T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-8 Tool Cleaning",
                                                        "id": 623,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-22T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-31T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-10 Shrinking to shaft & Balancing disk",
                                                        "id": 624,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-22T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-31T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-13 Leakage test",
                                                        "id": 625,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-22T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-01-07T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-15 Laser Marking",
                                                        "id": 626,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-29T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-31T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M-2-16 Cleaning(Optional)",
                                                        "id": 627,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-22T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-24T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-17 Visual check",
                                                        "id": 628,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-15T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-24T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 30,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-18 Package",
                                                        "id": 629,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-15T08:00:00",
                                                        "manuallyScheduled": false
                                                    }
                                                ],
                                                "name": "Electrical procurement",
                                                "id": 195,
                                                "durationUnit": "d",
                                                "startDate": "2021-11-15T08:00:00",
                                                "manuallyScheduled": false
                                            }
                                        ],
                                        "name": "Procurement",
                                        "id": 193,
                                        "durationUnit": "d",
                                        "startDate": "2021-08-30T08:00:00",
                                        "manuallyScheduled": false
                                    },
                                    {
                                        "calendar": 1,
                                        "percentDone": 0,
                                        "endDate": "2022-05-06T17:00:00",
                                        "effort": 0,
                                        "schedulingMode": "Normal",
                                        "effortUnit": "h",
                                        "leaf": false,
                                        "rollup": true,
                                        "duration": 140,
                                        "constraintType": "",
                                        "expanded": true,
                                        "milestone": false,
                                        "children": [
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-01-28T17:00:00",
                                                "effort": 0,
                                                "schedulingMode": "Normal",
                                                "effortUnit": "h",
                                                "leaf": false,
                                                "rollup": true,
                                                "duration": 75,
                                                "constraintType": "",
                                                "expanded": true,
                                                "milestone": false,
                                                "children": [
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-11-05T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-2 Magnets Inserting & stacking",
                                                        "id": 633,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-10-18T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-17T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-5 Robot for transfer molding",
                                                        "id": 634,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-29T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-01-14T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-7 Demoulding",
                                                        "id": 635,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-12-27T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-24T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-8 Tool Cleaning",
                                                        "id": 636,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-12-06T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-11-26T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-10 Shrinking to shaft & Balancing disk",
                                                        "id": 637,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-08T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-10T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-13 Leakage test",
                                                        "id": 638,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-11-22T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-01-28T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-15 Laser Marking",
                                                        "id": 639,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-01-10T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-01-21T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M-2-16 Cleaning(Optional)",
                                                        "id": 640,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-01-03T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-24T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-17 Visual check",
                                                        "id": 641,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-12-06T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2021-12-31T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-18 Package",
                                                        "id": 642,
                                                        "durationUnit": "d",
                                                        "startDate": "2021-12-13T08:00:00",
                                                        "manuallyScheduled": false
                                                    }
                                                ],
                                                "name": "Mechanical assembly",
                                                "id": 386,
                                                "durationUnit": "d",
                                                "startDate": "2021-10-18T08:00:00",
                                                "manuallyScheduled": false
                                            },
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-01-28T17:00:00",
                                                "effort": 0,
                                                "schedulingMode": "FixedDuration",
                                                "effortUnit": "h",
                                                "leaf": true,
                                                "rollup": false,
                                                "duration": 0,
                                                "constraintType": "",
                                                "milestone": true,
                                                "name": "MS: Machine level - End of mechanical assembly",
                                                "id": 443,
                                                "durationUnit": "d",
                                                "startDate": "2022-01-28T17:00:00",
                                                "manuallyScheduled": false
                                            },
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-05-06T17:00:00",
                                                "effort": 0,
                                                "schedulingMode": "Normal",
                                                "effortUnit": "h",
                                                "leaf": false,
                                                "rollup": true,
                                                "duration": 35,
                                                "constraintType": "",
                                                "expanded": true,
                                                "milestone": false,
                                                "children": [
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-08T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-2 Magnets Inserting & stacking",
                                                        "id": 645,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-03-21T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-15T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-5 Robot for transfer molding",
                                                        "id": 646,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-03-28T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-08T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-7 Demoulding",
                                                        "id": 647,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-03-21T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-08T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-8 Tool Cleaning",
                                                        "id": 648,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-03-21T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-22T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-10 Shrinking to shaft & Balancing disk",
                                                        "id": 649,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-04T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-05-06T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-13 Leakage test",
                                                        "id": 655,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-18T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-08T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-15 Laser Marking",
                                                        "id": 656,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-03-21T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-08T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M-2-16 Cleaning(Optional)",
                                                        "id": 657,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-03-21T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-08T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-17 Visual check",
                                                        "id": 658,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-03-21T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-08T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-18 Package",
                                                        "id": 650,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-03-21T08:00:00",
                                                        "manuallyScheduled": false
                                                    }
                                                ],
                                                "name": "Electrical assembly",
                                                "id": 200,
                                                "durationUnit": "d",
                                                "startDate": "2022-03-21T08:00:00",
                                                "manuallyScheduled": false
                                            }
                                        ],
                                        "name": "Assembly",
                                        "id": 197,
                                        "durationUnit": "d",
                                        "startDate": "2021-10-18T08:00:00",
                                        "manuallyScheduled": false
                                    },
                                    {
                                        "calendar": 1,
                                        "percentDone": 0,
                                        "endDate": "2022-08-05T17:00:00",
                                        "effort": 50,
                                        "schedulingMode": "Normal",
                                        "effortUnit": "h",
                                        "leaf": false,
                                        "rollup": true,
                                        "duration": 85,
                                        "constraintType": "",
                                        "expanded": true,
                                        "milestone": false,
                                        "children": [
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-06-10T17:00:00",
                                                "effort": 0,
                                                "schedulingMode": "Normal",
                                                "effortUnit": "h",
                                                "leaf": false,
                                                "rollup": true,
                                                "duration": 45,
                                                "constraintType": "",
                                                "expanded": true,
                                                "milestone": false,
                                                "children": [
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-15T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 5,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-2 Magnets Inserting & stacking",
                                                        "id": 659,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-11T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-22T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 5,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-5 Robot for transfer molding",
                                                        "id": 660,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-18T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-15T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 5,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-7 Demoulding",
                                                        "id": 661,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-11T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-15T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 5,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-8 Tool Cleaning",
                                                        "id": 667,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-11T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-29T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 5,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-10 Shrinking to shaft & Balancing disk",
                                                        "id": 668,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-25T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-05-13T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 5,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-13 Leakage test",
                                                        "id": 669,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-05-09T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-15T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 5,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-15 Laser Marking",
                                                        "id": 670,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-11T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-04-15T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 5,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M-2-16 Cleaning(Optional)",
                                                        "id": 662,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-11T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-06-10T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 5,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-17 Visual check",
                                                        "id": 663,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-06-06T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-06-10T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 5,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-18 Package",
                                                        "id": 664,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-06-06T08:00:00",
                                                        "manuallyScheduled": false
                                                    }
                                                ],
                                                "name": "Mechanical startup",
                                                "id": 210,
                                                "durationUnit": "d",
                                                "startDate": "2022-04-11T08:00:00",
                                                "manuallyScheduled": false
                                            },
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-08-05T17:00:00",
                                                "effort": 50,
                                                "schedulingMode": "Normal",
                                                "effortUnit": "h",
                                                "leaf": false,
                                                "rollup": true,
                                                "duration": 80,
                                                "constraintType": "",
                                                "expanded": true,
                                                "milestone": false,
                                                "children": [
                                                    {
                                                        "calendar": 1,
                                                        "percentDone": 0,
                                                        "endDate": "2022-05-06T17:00:00",
                                                        "effort": 50,
                                                        "schedulingMode": "FixedDuration",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-2 Magnets Inserting & stacking",
                                                        "id": 212,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-18T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-05-13T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-5 Robot for transfer molding",
                                                        "id": 671,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-25T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-05-06T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-7 Demoulding",
                                                        "id": 672,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-18T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-05-06T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-8 Tool Cleaning",
                                                        "id": 673,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-18T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-05-20T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-10 Shrinking to shaft & Balancing disk",
                                                        "id": 674,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-05-02T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-06-03T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-13 Leakage test",
                                                        "id": 675,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-05-16T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-05-06T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-15 Laser Marking",
                                                        "id": 676,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-18T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-05-06T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 15,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M-2-16 Cleaning(Optional)",
                                                        "id": 677,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-04-18T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-06-24T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 10,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-17 Visual check",
                                                        "id": 678,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-06-13T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-06-24T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 10,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "M2-18 Package",
                                                        "id": 679,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-06-13T08:00:00",
                                                        "manuallyScheduled": false
                                                    },
                                                    {
                                                        "percentDone": 0,
                                                        "endDate": "2022-08-05T17:00:00",
                                                        "effort": 0,
                                                        "schedulingMode": "FixedEffort",
                                                        "effortUnit": "h",
                                                        "leaf": true,
                                                        "rollup": false,
                                                        "duration": 10,
                                                        "constraintType": "",
                                                        "milestone": false,
                                                        "name": "Outsourcing machine linking",
                                                        "id": 682,
                                                        "durationUnit": "d",
                                                        "startDate": "2022-07-25T08:00:00",
                                                        "manuallyScheduled": false
                                                    }
                                                ],
                                                "name": "Electrical startup",
                                                "id": 211,
                                                "durationUnit": "d",
                                                "startDate": "2022-04-18T08:00:00",
                                                "manuallyScheduled": false
                                            }
                                        ],
                                        "name": "Commissioning in Shopfloor",
                                        "id": 209,
                                        "durationUnit": "d",
                                        "startDate": "2022-04-11T08:00:00",
                                        "manuallyScheduled": false
                                    },
                                    {
                                        "calendar": 1,
                                        "percentDone": 0,
                                        "endDate": "2022-08-19T17:00:00",
                                        "effort": 110,
                                        "schedulingMode": "Normal",
                                        "effortUnit": "h",
                                        "leaf": false,
                                        "rollup": true,
                                        "duration": 10,
                                        "constraintType": "",
                                        "expanded": true,
                                        "milestone": false,
                                        "children": [{
                                            "calendar": 1,
                                            "percentDone": 0,
                                            "endDate": "2022-08-19T17:00:00",
                                            "effort": 110,
                                            "schedulingMode": "FixedDuration",
                                            "effortUnit": "h",
                                            "leaf": true,
                                            "rollup": false,
                                            "duration": 10,
                                            "constraintType": "startnoearlierthan",
                                            "milestone": false,
                                            "constraintDate": "2021-03-08T08:00:00",
                                            "name": "Quality and approval",
                                            "id": 221,
                                            "durationUnit": "d",
                                            "startDate": "2022-08-08T08:00:00",
                                            "manuallyScheduled": false
                                        }],
                                        "name": "Quality and approval",
                                        "id": 220,
                                        "durationUnit": "d",
                                        "startDate": "2022-08-08T08:00:00",
                                        "manuallyScheduled": false
                                    },
                                    {
                                        "calendar": 1,
                                        "percentDone": 0,
                                        "endDate": "2022-09-30T17:00:00",
                                        "effort": 150,
                                        "schedulingMode": "Normal",
                                        "effortUnit": "h",
                                        "leaf": false,
                                        "rollup": true,
                                        "duration": 30,
                                        "constraintType": "",
                                        "expanded": true,
                                        "milestone": false,
                                        "children": [
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-09-02T17:00:00",
                                                "effort": 50,
                                                "schedulingMode": "FixedDuration",
                                                "effortUnit": "h",
                                                "leaf": true,
                                                "rollup": false,
                                                "duration": 10,
                                                "constraintType": "startnoearlierthan",
                                                "milestone": false,
                                                "constraintDate": "2017-10-09T08:00:00",
                                                "name": "Mechanical as-built",
                                                "id": 223,
                                                "durationUnit": "d",
                                                "startDate": "2022-08-22T08:00:00",
                                                "manuallyScheduled": false
                                            },
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-09-16T17:00:00",
                                                "effort": 50,
                                                "schedulingMode": "FixedDuration",
                                                "effortUnit": "h",
                                                "leaf": true,
                                                "rollup": false,
                                                "duration": 10,
                                                "constraintType": "startnoearlierthan",
                                                "milestone": false,
                                                "constraintDate": "2017-10-09T08:00:00",
                                                "name": "Hardware as-built",
                                                "id": 224,
                                                "durationUnit": "d",
                                                "startDate": "2022-09-05T08:00:00",
                                                "manuallyScheduled": false
                                            },
                                            {
                                                "calendar": 1,
                                                "percentDone": 0,
                                                "endDate": "2022-09-30T17:00:00",
                                                "effort": 50,
                                                "schedulingMode": "FixedDuration",
                                                "effortUnit": "h",
                                                "leaf": true,
                                                "rollup": false,
                                                "duration": 10,
                                                "constraintType": "startnoearlierthan",
                                                "milestone": false,
                                                "constraintDate": "2017-10-09T08:00:00",
                                                "name": "Software as-built",
                                                "id": 225,
                                                "durationUnit": "d",
                                                "startDate": "2022-09-19T08:00:00",
                                                "manuallyScheduled": false
                                            }
                                        ],
                                        "name": "Redlining/ As-built",
                                        "id": 222,
                                        "durationUnit": "d",
                                        "startDate": "2022-08-22T08:00:00",
                                        "manuallyScheduled": false
                                    }
                                ],
                                "name": "Rotor line for Evergrande",
                                "id": 179,
                                "durationUnit": "d",
                                "startDate": "2021-07-12T08:00:00",
                                "manuallyScheduled": false
                            },
                            {
                                "calendar": 1,
                                "percentDone": 0,
                                "endDate": "2022-10-14T17:00:00",
                                "effort": 50,
                                "schedulingMode": "Normal",
                                "effortUnit": "h",
                                "leaf": false,
                                "rollup": true,
                                "duration": 10,
                                "constraintType": "",
                                "expanded": true,
                                "milestone": false,
                                "children": [{
                                    "calendar": 1,
                                    "percentDone": 0,
                                    "endDate": "2022-10-14T17:00:00",
                                    "effort": 50,
                                    "schedulingMode": "FixedDuration",
                                    "effortUnit": "h",
                                    "leaf": true,
                                    "rollup": false,
                                    "duration": 10,
                                    "constraintType": "startnoearlierthan",
                                    "milestone": false,
                                    "constraintDate": "2022-07-18T08:00:00",
                                    "name": "Quality inspection",
                                    "id": 458,
                                    "durationUnit": "d",
                                    "startDate": "2022-10-03T08:00:00",
                                    "manuallyScheduled": false
                                }],
                                "name": "Final acceptance in Customer shopfloor",
                                "id": 457,
                                "durationUnit": "d",
                                "startDate": "2022-10-03T08:00:00",
                                "manuallyScheduled": false
                            },
                            {
                                "calendar": 1,
                                "percentDone": 0,
                                "endDate": "2022-10-21T17:00:00",
                                "effort": 30,
                                "schedulingMode": "Normal",
                                "effortUnit": "h",
                                "leaf": false,
                                "rollup": true,
                                "duration": 45,
                                "constraintType": "",
                                "expanded": true,
                                "milestone": false,
                                "children": [
                                    {
                                        "calendar": 1,
                                        "percentDone": 0,
                                        "endDate": "2022-10-21T17:00:00",
                                        "effort": 10,
                                        "schedulingMode": "FixedDuration",
                                        "effortUnit": "h",
                                        "leaf": true,
                                        "rollup": false,
                                        "duration": 15,
                                        "constraintType": "",
                                        "milestone": false,
                                        "name": "Training",
                                        "id": 103,
                                        "durationUnit": "d",
                                        "startDate": "2022-10-03T08:00:00",
                                        "manuallyScheduled": false
                                    },
                                    {
                                        "calendar": 1,
                                        "percentDone": 0,
                                        "endDate": "2022-09-16T17:00:00",
                                        "effort": 20,
                                        "schedulingMode": "FixedDuration",
                                        "effortUnit": "h",
                                        "leaf": true,
                                        "rollup": false,
                                        "duration": 20,
                                        "constraintType": "",
                                        "milestone": false,
                                        "name": "Documentation",
                                        "id": 102,
                                        "durationUnit": "d",
                                        "startDate": "2022-08-22T08:00:00",
                                        "manuallyScheduled": false
                                    }
                                ],
                                "name": "Support activities",
                                "id": 104,
                                "durationUnit": "d",
                                "startDate": "2022-08-22T08:00:00",
                                "manuallyScheduled": false
                            }
                        ],
                        "name": "Evergrande Project plan",
                        "id": 39,
                        "durationUnit": "d",
                        "startDate": "2020-04-07T08:00:00",
                        "manuallyScheduled": false
                    }],
                    "name": "Root Node"
                },
                "dependencies": [
                    {
                        "fromEvent": 41,
                        "lag": 0,
                        "id": 1,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 383
                    },
                    {
                        "fromEvent": 383,
                        "lag": 0,
                        "id": 2,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 48
                    },
                    {
                        "fromEvent": 48,
                        "lag": 0,
                        "id": 3,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 58
                    },
                    {
                        "fromEvent": 182,
                        "lag": 40,
                        "id": 4,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 58
                    },
                    {
                        "fromEvent": 461,
                        "lag": 0,
                        "id": 5,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 42
                    },
                    {
                        "fromEvent": 181,
                        "lag": 0,
                        "id": 6,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 42
                    },
                    {
                        "fromEvent": 481,
                        "lag": 0,
                        "id": 7,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 62
                    },
                    {
                        "fromEvent": 220,
                        "lag": 0,
                        "id": 8,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 62
                    },
                    {
                        "fromEvent": 62,
                        "lag": 0,
                        "id": 9,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 118
                    },
                    {
                        "fromEvent": 457,
                        "lag": 0,
                        "id": 10,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 118
                    },
                    {
                        "fromEvent": 118,
                        "lag": 0,
                        "id": 11,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 117
                    },
                    {
                        "fromEvent": 104,
                        "lag": 0,
                        "id": 12,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 117
                    },
                    {
                        "fromEvent": 48,
                        "lag": 0,
                        "id": 13,
                        "lagUnit": "d",
                        "type": 0,
                        "toEvent": 34
                    },
                    {
                        "fromEvent": 117,
                        "lag": 0,
                        "id": 14,
                        "lagUnit": "d",
                        "type": 3,
                        "toEvent": 34
                    },
                    {
                        "fromEvent": 491,
                        "lag": 0,
                        "id": 15,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 495
                    },
                    {
                        "fromEvent": 58,
                        "lag": 5,
                        "id": 16,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 465
                    },
                    {
                        "fromEvent": 491,
                        "lag": -5,
                        "id": 17,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 500
                    },
                    {
                        "fromEvent": 492,
                        "lag": -10,
                        "id": 18,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 501
                    },
                    {
                        "fromEvent": 494,
                        "lag": -10,
                        "id": 19,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 502
                    },
                    {
                        "fromEvent": 495,
                        "lag": -10,
                        "id": 20,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 503
                    },
                    {
                        "fromEvent": 496,
                        "lag": -10,
                        "id": 21,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 504
                    },
                    {
                        "fromEvent": 497,
                        "lag": -5,
                        "id": 22,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 505
                    },
                    {
                        "fromEvent": 498,
                        "lag": -5,
                        "id": 23,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 506
                    },
                    {
                        "fromEvent": 487,
                        "lag": 0,
                        "id": 24,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 508
                    },
                    {
                        "fromEvent": 487,
                        "lag": 0,
                        "id": 25,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 509
                    },
                    {
                        "fromEvent": 487,
                        "lag": 0,
                        "id": 26,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 510
                    },
                    {
                        "fromEvent": 487,
                        "lag": 0,
                        "id": 27,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 511
                    },
                    {
                        "fromEvent": 465,
                        "lag": 10,
                        "id": 28,
                        "lagUnit": "d",
                        "type": 0,
                        "toEvent": 534
                    },
                    {
                        "fromEvent": 491,
                        "lag": 0,
                        "id": 29,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 514
                    },
                    {
                        "fromEvent": 492,
                        "lag": 0,
                        "id": 30,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 515
                    },
                    {
                        "fromEvent": 494,
                        "lag": 0,
                        "id": 31,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 516
                    },
                    {
                        "fromEvent": 495,
                        "lag": 0,
                        "id": 32,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 517
                    },
                    {
                        "fromEvent": 496,
                        "lag": 0,
                        "id": 33,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 518
                    },
                    {
                        "fromEvent": 497,
                        "lag": 0,
                        "id": 34,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 519
                    },
                    {
                        "fromEvent": 498,
                        "lag": 0,
                        "id": 35,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 520
                    },
                    {
                        "fromEvent": 465,
                        "lag": -25,
                        "id": 36,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 470
                    },
                    {
                        "fromEvent": 500,
                        "lag": 0,
                        "id": 37,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 521
                    },
                    {
                        "fromEvent": 501,
                        "lag": 0,
                        "id": 38,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 522
                    },
                    {
                        "fromEvent": 502,
                        "lag": 0,
                        "id": 39,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 523
                    },
                    {
                        "fromEvent": 503,
                        "lag": 0,
                        "id": 40,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 524
                    },
                    {
                        "fromEvent": 504,
                        "lag": 0,
                        "id": 41,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 525
                    },
                    {
                        "fromEvent": 505,
                        "lag": 0,
                        "id": 42,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 526
                    },
                    {
                        "fromEvent": 506,
                        "lag": 0,
                        "id": 43,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 527
                    },
                    {
                        "fromEvent": 514,
                        "lag": 0,
                        "id": 44,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 535
                    },
                    {
                        "fromEvent": 515,
                        "lag": 0,
                        "id": 45,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 536
                    },
                    {
                        "fromEvent": 516,
                        "lag": 0,
                        "id": 46,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 537
                    },
                    {
                        "fromEvent": 517,
                        "lag": 0,
                        "id": 47,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 538
                    },
                    {
                        "fromEvent": 518,
                        "lag": 0,
                        "id": 48,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 539
                    },
                    {
                        "fromEvent": 519,
                        "lag": 0,
                        "id": 49,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 540
                    },
                    {
                        "fromEvent": 520,
                        "lag": 0,
                        "id": 50,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 541
                    },
                    {
                        "fromEvent": 472,
                        "lag": 0,
                        "id": 51,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 473
                    },
                    {
                        "fromEvent": 521,
                        "lag": 0,
                        "id": 52,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 544
                    },
                    {
                        "fromEvent": 535,
                        "lag": 0,
                        "id": 53,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 544
                    },
                    {
                        "fromEvent": 534,
                        "lag": 0,
                        "id": 54,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 544
                    },
                    {
                        "fromEvent": 522,
                        "lag": 0,
                        "id": 55,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 545
                    },
                    {
                        "fromEvent": 536,
                        "lag": 0,
                        "id": 56,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 545
                    },
                    {
                        "fromEvent": 534,
                        "lag": 10,
                        "id": 57,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 545
                    },
                    {
                        "fromEvent": 523,
                        "lag": 0,
                        "id": 58,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 546
                    },
                    {
                        "fromEvent": 537,
                        "lag": 0,
                        "id": 59,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 546
                    },
                    {
                        "fromEvent": 534,
                        "lag": 20,
                        "id": 60,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 546
                    },
                    {
                        "fromEvent": 524,
                        "lag": 0,
                        "id": 61,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 547
                    },
                    {
                        "fromEvent": 538,
                        "lag": 0,
                        "id": 62,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 547
                    },
                    {
                        "fromEvent": 534,
                        "lag": 0,
                        "id": 63,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 547
                    },
                    {
                        "fromEvent": 525,
                        "lag": 0,
                        "id": 64,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 548
                    },
                    {
                        "fromEvent": 539,
                        "lag": 0,
                        "id": 65,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 548
                    },
                    {
                        "fromEvent": 534,
                        "lag": 30,
                        "id": 66,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 548
                    },
                    {
                        "fromEvent": 526,
                        "lag": 0,
                        "id": 67,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 549
                    },
                    {
                        "fromEvent": 540,
                        "lag": 0,
                        "id": 68,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 549
                    },
                    {
                        "fromEvent": 534,
                        "lag": 0,
                        "id": 69,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 549
                    },
                    {
                        "fromEvent": 527,
                        "lag": 0,
                        "id": 70,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 550
                    },
                    {
                        "fromEvent": 541,
                        "lag": 0,
                        "id": 71,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 550
                    },
                    {
                        "fromEvent": 534,
                        "lag": 0,
                        "id": 72,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 550
                    },
                    {
                        "fromEvent": 544,
                        "lag": 0,
                        "id": 73,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 553
                    },
                    {
                        "fromEvent": 545,
                        "lag": 0,
                        "id": 74,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 554
                    },
                    {
                        "fromEvent": 546,
                        "lag": 0,
                        "id": 75,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 555
                    },
                    {
                        "fromEvent": 547,
                        "lag": 0,
                        "id": 76,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 556
                    },
                    {
                        "fromEvent": 548,
                        "lag": 0,
                        "id": 77,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 557
                    },
                    {
                        "fromEvent": 549,
                        "lag": 0,
                        "id": 78,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 558
                    },
                    {
                        "fromEvent": 550,
                        "lag": 0,
                        "id": 79,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 559
                    },
                    {
                        "fromEvent": 553,
                        "lag": 0,
                        "id": 80,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 479
                    },
                    {
                        "fromEvent": 554,
                        "lag": 0,
                        "id": 81,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 561
                    },
                    {
                        "fromEvent": 555,
                        "lag": 0,
                        "id": 82,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 562
                    },
                    {
                        "fromEvent": 556,
                        "lag": 0,
                        "id": 83,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 563
                    },
                    {
                        "fromEvent": 557,
                        "lag": 0,
                        "id": 84,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 564
                    },
                    {
                        "fromEvent": 558,
                        "lag": 0,
                        "id": 85,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 565
                    },
                    {
                        "fromEvent": 559,
                        "lag": 0,
                        "id": 86,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 566
                    },
                    {
                        "fromEvent": 508,
                        "lag": 0,
                        "id": 87,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 569
                    },
                    {
                        "fromEvent": 509,
                        "lag": 0,
                        "id": 88,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 569
                    },
                    {
                        "fromEvent": 510,
                        "lag": 0,
                        "id": 89,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 569
                    },
                    {
                        "fromEvent": 511,
                        "lag": 0,
                        "id": 90,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 569
                    },
                    {
                        "fromEvent": 476,
                        "lag": 0,
                        "id": 91,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 482
                    },
                    {
                        "fromEvent": 481,
                        "lag": 0,
                        "id": 92,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 484
                    },
                    {
                        "fromEvent": 484,
                        "lag": 5,
                        "id": 93,
                        "lagUnit": "d",
                        "type": 0,
                        "toEvent": 485
                    },
                    {
                        "fromEvent": 485,
                        "lag": 0,
                        "id": 94,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 486
                    },
                    {
                        "fromEvent": 182,
                        "lag": 0,
                        "id": 95,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 571
                    },
                    {
                        "fromEvent": 579,
                        "lag": 0,
                        "id": 96,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 580
                    },
                    {
                        "fromEvent": 571,
                        "lag": 0,
                        "id": 97,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 583
                    },
                    {
                        "fromEvent": 583,
                        "lag": 0,
                        "id": 98,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 584
                    },
                    {
                        "fromEvent": 181,
                        "lag": 0,
                        "id": 99,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 183
                    },
                    {
                        "fromEvent": 58,
                        "lag": 5,
                        "id": 100,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 185
                    },
                    {
                        "fromEvent": 182,
                        "lag": -10,
                        "id": 101,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 586
                    },
                    {
                        "fromEvent": 571,
                        "lag": -10,
                        "id": 102,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 587
                    },
                    {
                        "fromEvent": 573,
                        "lag": -10,
                        "id": 103,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 588
                    },
                    {
                        "fromEvent": 574,
                        "lag": -15,
                        "id": 104,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 589
                    },
                    {
                        "fromEvent": 576,
                        "lag": -15,
                        "id": 105,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 590
                    },
                    {
                        "fromEvent": 579,
                        "lag": -15,
                        "id": 106,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 591
                    },
                    {
                        "fromEvent": 581,
                        "lag": -10,
                        "id": 107,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 592
                    },
                    {
                        "fromEvent": 582,
                        "lag": -5,
                        "id": 108,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 593
                    },
                    {
                        "fromEvent": 583,
                        "lag": 0,
                        "id": 109,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 594
                    },
                    {
                        "fromEvent": 584,
                        "lag": 0,
                        "id": 110,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 595
                    },
                    {
                        "fromEvent": 575,
                        "lag": 0,
                        "id": 111,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 598
                    },
                    {
                        "fromEvent": 577,
                        "lag": 0,
                        "id": 112,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 599
                    },
                    {
                        "fromEvent": 578,
                        "lag": 0,
                        "id": 113,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 602
                    },
                    {
                        "fromEvent": 580,
                        "lag": 0,
                        "id": 114,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 600
                    },
                    {
                        "fromEvent": 185,
                        "lag": 10,
                        "id": 115,
                        "lagUnit": "d",
                        "type": 0,
                        "toEvent": 601
                    },
                    {
                        "fromEvent": 182,
                        "lag": 0,
                        "id": 116,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 603
                    },
                    {
                        "fromEvent": 571,
                        "lag": 0,
                        "id": 117,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 604
                    },
                    {
                        "fromEvent": 573,
                        "lag": 0,
                        "id": 118,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 605
                    },
                    {
                        "fromEvent": 574,
                        "lag": 0,
                        "id": 119,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 606
                    },
                    {
                        "fromEvent": 576,
                        "lag": 0,
                        "id": 120,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 615
                    },
                    {
                        "fromEvent": 579,
                        "lag": 0,
                        "id": 121,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 616
                    },
                    {
                        "fromEvent": 581,
                        "lag": 0,
                        "id": 122,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 617
                    },
                    {
                        "fromEvent": 582,
                        "lag": 0,
                        "id": 123,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 618
                    },
                    {
                        "fromEvent": 583,
                        "lag": 0,
                        "id": 124,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 619
                    },
                    {
                        "fromEvent": 584,
                        "lag": 0,
                        "id": 125,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 607
                    },
                    {
                        "fromEvent": 185,
                        "lag": -25,
                        "id": 126,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 195
                    },
                    {
                        "fromEvent": 586,
                        "lag": 0,
                        "id": 127,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 620
                    },
                    {
                        "fromEvent": 587,
                        "lag": 0,
                        "id": 128,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 621
                    },
                    {
                        "fromEvent": 588,
                        "lag": 0,
                        "id": 129,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 622
                    },
                    {
                        "fromEvent": 589,
                        "lag": 0,
                        "id": 130,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 623
                    },
                    {
                        "fromEvent": 590,
                        "lag": 0,
                        "id": 131,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 624
                    },
                    {
                        "fromEvent": 591,
                        "lag": 0,
                        "id": 132,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 625
                    },
                    {
                        "fromEvent": 592,
                        "lag": 0,
                        "id": 133,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 626
                    },
                    {
                        "fromEvent": 593,
                        "lag": 0,
                        "id": 134,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 627
                    },
                    {
                        "fromEvent": 594,
                        "lag": 0,
                        "id": 135,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 628
                    },
                    {
                        "fromEvent": 595,
                        "lag": 0,
                        "id": 136,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 629
                    },
                    {
                        "fromEvent": 603,
                        "lag": 0,
                        "id": 137,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 633
                    },
                    {
                        "fromEvent": 604,
                        "lag": 0,
                        "id": 138,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 634
                    },
                    {
                        "fromEvent": 605,
                        "lag": 0,
                        "id": 139,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 635
                    },
                    {
                        "fromEvent": 606,
                        "lag": 0,
                        "id": 140,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 636
                    },
                    {
                        "fromEvent": 615,
                        "lag": 0,
                        "id": 141,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 637
                    },
                    {
                        "fromEvent": 616,
                        "lag": 0,
                        "id": 142,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 638
                    },
                    {
                        "fromEvent": 617,
                        "lag": 0,
                        "id": 143,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 639
                    },
                    {
                        "fromEvent": 618,
                        "lag": 0,
                        "id": 144,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 640
                    },
                    {
                        "fromEvent": 619,
                        "lag": 0,
                        "id": 145,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 641
                    },
                    {
                        "fromEvent": 607,
                        "lag": 0,
                        "id": 146,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 642
                    },
                    {
                        "fromEvent": 386,
                        "lag": 0,
                        "id": 147,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 443
                    },
                    {
                        "fromEvent": 601,
                        "lag": 0,
                        "id": 148,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 645
                    },
                    {
                        "fromEvent": 620,
                        "lag": 0,
                        "id": 149,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 645
                    },
                    {
                        "fromEvent": 633,
                        "lag": 0,
                        "id": 150,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 645
                    },
                    {
                        "fromEvent": 601,
                        "lag": 5,
                        "id": 151,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 646
                    },
                    {
                        "fromEvent": 621,
                        "lag": 0,
                        "id": 152,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 646
                    },
                    {
                        "fromEvent": 634,
                        "lag": 0,
                        "id": 153,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 646
                    },
                    {
                        "fromEvent": 601,
                        "lag": 0,
                        "id": 154,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 647
                    },
                    {
                        "fromEvent": 622,
                        "lag": 0,
                        "id": 155,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 647
                    },
                    {
                        "fromEvent": 635,
                        "lag": 0,
                        "id": 156,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 647
                    },
                    {
                        "fromEvent": 601,
                        "lag": 0,
                        "id": 157,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 648
                    },
                    {
                        "fromEvent": 623,
                        "lag": 0,
                        "id": 158,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 648
                    },
                    {
                        "fromEvent": 636,
                        "lag": 0,
                        "id": 159,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 648
                    },
                    {
                        "fromEvent": 601,
                        "lag": 10,
                        "id": 160,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 649
                    },
                    {
                        "fromEvent": 624,
                        "lag": 0,
                        "id": 161,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 649
                    },
                    {
                        "fromEvent": 637,
                        "lag": 0,
                        "id": 162,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 649
                    },
                    {
                        "fromEvent": 601,
                        "lag": 20,
                        "id": 163,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 655
                    },
                    {
                        "fromEvent": 625,
                        "lag": 0,
                        "id": 164,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 655
                    },
                    {
                        "fromEvent": 638,
                        "lag": 0,
                        "id": 165,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 655
                    },
                    {
                        "fromEvent": 601,
                        "lag": 0,
                        "id": 166,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 656
                    },
                    {
                        "fromEvent": 626,
                        "lag": 0,
                        "id": 167,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 656
                    },
                    {
                        "fromEvent": 639,
                        "lag": 0,
                        "id": 168,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 656
                    },
                    {
                        "fromEvent": 601,
                        "lag": 0,
                        "id": 169,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 657
                    },
                    {
                        "fromEvent": 627,
                        "lag": 0,
                        "id": 170,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 657
                    },
                    {
                        "fromEvent": 640,
                        "lag": 0,
                        "id": 171,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 657
                    },
                    {
                        "fromEvent": 601,
                        "lag": 0,
                        "id": 172,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 658
                    },
                    {
                        "fromEvent": 628,
                        "lag": 0,
                        "id": 173,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 658
                    },
                    {
                        "fromEvent": 641,
                        "lag": 0,
                        "id": 174,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 658
                    },
                    {
                        "fromEvent": 601,
                        "lag": 0,
                        "id": 175,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 650
                    },
                    {
                        "fromEvent": 629,
                        "lag": 0,
                        "id": 176,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 650
                    },
                    {
                        "fromEvent": 642,
                        "lag": 0,
                        "id": 177,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 650
                    },
                    {
                        "fromEvent": 645,
                        "lag": 0,
                        "id": 178,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 659
                    },
                    {
                        "fromEvent": 646,
                        "lag": 0,
                        "id": 179,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 660
                    },
                    {
                        "fromEvent": 647,
                        "lag": 0,
                        "id": 180,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 661
                    },
                    {
                        "fromEvent": 648,
                        "lag": 0,
                        "id": 181,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 667
                    },
                    {
                        "fromEvent": 649,
                        "lag": 0,
                        "id": 182,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 668
                    },
                    {
                        "fromEvent": 655,
                        "lag": 0,
                        "id": 183,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 669
                    },
                    {
                        "fromEvent": 656,
                        "lag": 0,
                        "id": 184,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 670
                    },
                    {
                        "fromEvent": 657,
                        "lag": 0,
                        "id": 185,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 662
                    },
                    {
                        "fromEvent": 658,
                        "lag": 40,
                        "id": 186,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 663
                    },
                    {
                        "fromEvent": 650,
                        "lag": 40,
                        "id": 187,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 664
                    },
                    {
                        "fromEvent": 659,
                        "lag": 0,
                        "id": 188,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 212
                    },
                    {
                        "fromEvent": 660,
                        "lag": 0,
                        "id": 189,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 671
                    },
                    {
                        "fromEvent": 661,
                        "lag": 0,
                        "id": 190,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 672
                    },
                    {
                        "fromEvent": 667,
                        "lag": 0,
                        "id": 191,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 673
                    },
                    {
                        "fromEvent": 668,
                        "lag": 0,
                        "id": 192,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 674
                    },
                    {
                        "fromEvent": 669,
                        "lag": 0,
                        "id": 193,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 675
                    },
                    {
                        "fromEvent": 670,
                        "lag": 0,
                        "id": 194,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 676
                    },
                    {
                        "fromEvent": 662,
                        "lag": 0,
                        "id": 195,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 677
                    },
                    {
                        "fromEvent": 663,
                        "lag": 0,
                        "id": 196,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 678
                    },
                    {
                        "fromEvent": 664,
                        "lag": 0,
                        "id": 197,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 679
                    },
                    {
                        "fromEvent": 598,
                        "lag": 0,
                        "id": 198,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 682
                    },
                    {
                        "fromEvent": 599,
                        "lag": 0,
                        "id": 199,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 682
                    },
                    {
                        "fromEvent": 602,
                        "lag": 0,
                        "id": 200,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 682
                    },
                    {
                        "fromEvent": 600,
                        "lag": 0,
                        "id": 201,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 682
                    },
                    {
                        "fromEvent": 209,
                        "lag": 0,
                        "id": 202,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 221
                    },
                    {
                        "fromEvent": 220,
                        "lag": 0,
                        "id": 203,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 223
                    },
                    {
                        "fromEvent": 223,
                        "lag": 0,
                        "id": 204,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 224
                    },
                    {
                        "fromEvent": 224,
                        "lag": 0,
                        "id": 205,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 225
                    },
                    {
                        "fromEvent": 459,
                        "lag": 0,
                        "id": 206,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 458
                    },
                    {
                        "fromEvent": 179,
                        "lag": 0,
                        "id": 207,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 458
                    },
                    {
                        "fromEvent": 459,
                        "lag": 0,
                        "id": 208,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 103
                    },
                    {
                        "fromEvent": 179,
                        "lag": 0,
                        "id": 209,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 103
                    },
                    {
                        "fromEvent": 221,
                        "lag": 0,
                        "id": 210,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 102
                    },
                    {
                        "fromEvent": 482,
                        "lag": 0,
                        "id": 211,
                        "lagUnit": "d",
                        "type": 2,
                        "toEvent": 102
                    }
                ]
            }
        }
        if ((this.gantt.widgetMap as any).input.files) {
            const { project } = this.gantt;

            // Import the uploaded mpp-file data (will make a new project and assign it to the gantt)
            // await this.importData(parsedJson.data);

            // destroy old project
            (project as any).destroy();

            // set the view start date to the loaded project start
            this.gantt.setStartDate((this.gantt.project as any).startDate);
            await this.gantt.scrollToDate((this.gantt.project as any).startDate, { block: 'start' });

            (this.gantt.widgetMap as any).input.clear();

            // remove "Importing project ..." mask
            this.gantt.unmaskBody();
        }

    }
    ngOnInit() {

    }
}
